2010-10-21  Andrew Jorgensen  <ajorgensen@novell.com>

	Bump version to 2.8.1

2010-09-23  Andrew Jorgensen  <ajorgensen@novell.com>

	move DynamicData to mvc because it depends on Extensions

2010-09-20  Andrew Jorgensen  <ajorgensen@novell.com>

	put the x11 devel package back in buildrequires and a couple other
	spec fixes

2010-09-17  Andrew Jorgensen  <ajorgensen@novell.com>

	errant file

2010-09-16  Andrew Jorgensen  <ajorgensen@novell.com>

	More .spec reorgs

2010-09-15  Andrew Jorgensen  <ajorgensen@novell.com>

	mono-configuration-crypto is a 4.0 assembly, not 2.0

2010-09-09  Andrew Jorgensen  <ajorgensen@novell.com>

	Various cleanup and addition

2010-08-31  Andrew Jorgensen  <ajorgensen@novell.com>

	Version 2.8

2010-08-31  Zoltan Varga  <vargaz@gmail.com>

	Reenable system AOT on x86/amd64 which accidently got disabled.

2010-08-31  Zoltan Varga  <vargaz@gmail.com>

	Disable system aot on darwin.

2010-08-31  Zoltan Varga  <vargaz@gmail.com>

	Enable aot-ing of mscorlib+gmcs on all architectures where AOT is
	supported.

2010-08-30  Andrew Jorgensen  <ajorgensen@novell.com>

	Relatively major overhaul of the .spec file

	Cleanup of legacy conditionals, addition of llvm and sgen
	conditionals

2010-08-26  Andrew Jorgensen  <ajorgensen@novell.com>

	* Makefile.am: Check for GIT_DIR if defined (rather than .git) *
	commits-to-changelog.py: BUILD_REVISION rather than HEAD if
	defined

2010-08-26  Andrew Jorgensen  <ajorgensen@novell.com>

	Bump version to 2.8.1

	2.8.ODD will mean git master and 2.8.EVEN will mean a release
	branch

2010-08-26  Andrew Jorgensen  <ajorgensen@novell.com>

	Add the mono-api-info man page

2010-08-25  Andrew Jorgensen  <ajorgensen@novell.com>

	Remove mono-abi-info from the .spec file

2010-08-25  Gonzalo Paniagua Javier  <gonzalo.mono@gmail.com>

	Ignore removed ChangeLog files

	If a ChangeLog has been removed, don't try to open the file.

2010-08-25  Robert Nagy  <robert@bsd.hu>

	Make sgen compile on OpenBSD, by adding the missing stuff

2010-08-23  Andrés G. Aragoneses  <knocte@gmail.com>

	[tools] Merge mono-abi-info tool into a "--abi" flag for
	mono-api-info

	This commit also includes a brief (help welcome!) man page for
	mono-api-info that explains its usage.

2010-08-23  Robert Nagy  <robert@bsd.hu>

	fix openbsd CPPFLAGS and check for sys/param.h

2010-08-20  Zoltan Varga  <vargaz@gmail.com>

	Update get-cygwin-deps.sh after a filename change.

2010-08-20  Mark Probst  <mark.probst@gmail.com>

	[scripts] Don't use saxutils in mono-heapviz.

	Some Pythons don't have saxutils.DefaultHandler, so don't use it.

2010-08-17  Jb Evain  <jbevain@gmail.com>

	update ignore files

2010-08-17  Zoltan Varga  <vargaz@gmail.com>

	Remove support for building with system glib.

2010-08-17  Zoltan Varga  <vargaz@gmail.com>

	Disable building of ikvm-native and define DISABLE_SOCKETS when
	using NACL.

2010-08-13  Andrew Jorgensen  <ajorgensen@novell.com>

	Add ccrewrite manpage to spec

2010-08-13  Andrew Jorgensen  <ajorgensen@novell.com>

	Add ccrewrite wrapper

2010-08-13  Marek Safar  <marek.safar@gmail.com>

	Add ccrewrite script

2010-08-12  Andrew Jorgensen  <ajorgensen@novell.com>

	Add mono-abi-info and Mono.CodeContracts to spec

2010-08-09  Andrew Jorgensen  <ajorgensen@novell.com>

	Bump version to 2.7.1

2010-08-09  Andrew Jorgensen  <ajorgensen@novell.com>

	* mono-core.spec.in: Add System.ServiceModel.Discovery

2010-08-09  Miguel de Icaza  <miguel@gnome.org>

	Update README

2010-08-09  Elijah Taylor  <elijahtaylor@google.com>

	Add configure support for Google Native Client (NACL).

2010-08-08  Mark Probst  <mark.probst@gmail.com>

	[sgen] Fix sgen-grep-binprot.

	The refactoring that occurred with addition of parallel mark left
	sgen-grep-binprot in an uncompilable state. Fix.

2010-08-06  Zoltan Varga  <vargaz@gmail.com>

	Reenable LLVM+AOT again, the latest LLVM branch code works fine.

2010-08-05  Zoltan Varga  <vargaz@gmail.com>

	Disable system aot when LLVM is enabled for now.

2010-08-05  Mark Probst  <mark.probst@gmail.com>

	[dist] Only run the commit-to-changelog script if there's a
	repository.

	Since "make dist" should also work from a tarball we must only
	call the commit-to-changelog script if there's a git repository
	present. If we're already in a disted tree, the script has already
	run.

2010-08-04  Mark Probst  <mark.probst@gmail.com>

	[scripts] commit-to-changelog fails if git is too old

	We need a git that supports the %B format specifier, which seems
	to be 1.7.2. Fail if it's not supported.

2010-08-04  Mark Probst  <mark.probst@gmail.com>

	[scripts] commit-to-changelog fails if git fails

	The commit-to-changelog script now fails if git fails for whatever
	reason. The most important reasons would be that git isn't
	installed, and that the script is called without a repository.

2010-08-04  Andrew Jorgensen  <ajorgensen@novell.com>

	Don't call commit-to-changelog until after mcs is dist'd

2010-08-02  Mark Probst  <mark.probst@gmail.com>

	[commit-to-changelog] Bugfix.

	The commit-to-changelog script would crash for commits that
	already contain ChangeLog entries.

2010-08-02  Raja R Harinath  <harinath@hurrynot.org>

	Re-enable 'crlf' attributes on *.cs

	This fixes EOL conversions flagged by git 1.7.1
	core.autocrlf=true. At this point, neither git 1.7.1 nor 1.7.2
	show any automatic CRLF normalization. I think we're ready for
	another experiment.

	There seems to be a difference in the handling of mixed
	line-ending files between git 1.7.2 and older versions, when
	core.autocrlf is set to true.

2010-07-30  Mark Probst  <mark.probst@gmail.com>

	Don't generate empty ChangeLog entries, insert the whole message
	instead.

	The commits-to-changelog script previously generated ChangeLog
	entries with a FIXME if it couldn't find anything applicable for
	that particular ChangeLog. Since we want to use the script for
	"make dist" it shouldn't do this. Instead it now just inserts the
	whole commit message in those ChangeLogs.

2010-07-30  Mark Probst  <mark.probst@gmail.com>

	"make dist" updates the ChangeLogs automatically.

	When creating a distribution "make dist" now uses the
	commits-to-changelog script to automatically update all ChangeLog
	files since the last commit marked with the
	"last-commit-with-compulsory-changelog-entry" tag.

2010-07-29  Mark Probst  <mark.probst@gmail.com>

	commits-to-changelog script.

	This script converts git commit messages to ChangeLog entries.
	That will hopefully allow us to forego adding ChangeLog entries in
	our commits, which always leads to merge conflicts.

2010-07-24  Gonzalo Paniagua Javier  <gonzalo@novell.com>

	TEST 5

2010-07-24  Gonzalo Paniagua Javier  <gonzalo@novell.com>

	TEST 4

2010-07-24  Gonzalo Paniagua Javier  <gonzalo@novell.com>

	TEST 3

2010-07-24  Gonzalo Paniagua Javier  <gonzalo@novell.com>

	TEST 2

2010-07-24  Gonzalo Paniagua Javier  <gonzalo@novell.com>

	TEST

2010-08-05  Andrés G. Aragoneses  <andres@lindenlab.com>

	* scripts/.gitignore: added mono-abi-info.
	* scripts/Makefile.am: added mono-abi-info autofoo.

2010-07-16  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Remove the 'LLVM backend is experimental' warning.

2010-07-08  Neale Ferguson <neale@sinenomine.net>

	* configure.in: Add sgen_supported=true for s390x.

2010-07-05  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.in: Restore the AM_CONDITIONAL debugger supported, we need it to
	include/exclude assembler files from the build in the makefile.

2010-06-29  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add a define for the full LLVM version to config.h.

2010-06-26  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Make sgen_supported default to false to fix non-x86 builds.

2010-06-25  Zoltan Varga  <vargaz@gmail.com>

	* scripts/patch-quiet.sh: Fix this up after the build changes.

2010-06-23  Miguel de Icaza  <miguel@novell.com>

	* configure.in: By default, we will now also buils an SGen-aware
	VM by default.   This can be turned off by using the
	--with-sgen=no command line option.

	Two binaries are produced now: mono and mono-sgen

	--- First Pass ---

	* configure.in: Remove redundant setting of variables in non-Boehm
	cases.

	First pass at supporting the compilation of both
	the Boehm-powered Mono VM and the Sgen-powered one.

	The Boehm configuration flags are no longer part of the config.h
	that we generate, but instead they are part of the CFLAGS
	variables that are used for the following components:

		* io-layer/ because it uses the pthread APIs that are
		wrapped by using utils/gc_wrapper.h

		* metatada/ because we have plenty of GC-specific code

		* mini/ the VM itself

	The patch currently only changes the way that Boehm is compiled,
	no changes for Sgen have been done yet.

	We now pass Boehm CFLAG settings as "BOEHM_DEFINES" which need to
	be added to the three Makefiles above.

	When building the bundled and modified libgc, we also need to pass
	MONO_DEBUGGER_SUPPORTED as it triggers some special features in
	the libgc.

	Simplify the build also by removing the AM_CONDITIONAL debugger
	supported, we now merely check this on the source file and wrap
	the entire debug-debugger.c in an ifdef.

2010-06-05  Mark Probst  <mark.probst@gmail.com>

	* tools/sgen/sgen-grep-binprot.c: Updated for degraded and pinned
	allocations.

2010-06-02  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Check whenever we are using mono's LLVM branch.

2010-05-31  Robert Jordan  <robertj@gmx.net>

	* configure.in: Windows: mcs_topdir_from_srcdir must not be
	converted to a Win32 path unless it's already a cygwin path.
	Fixes --with-mcs-docs for in-tree mcs builds.

2010-05-28  Robert Jordan  <robertj@gmx.net>

	* configure.in: Fix mcs_topdir* for the Windows build.

2010-05-28  Mark Probst  <mark.probst@gmail.com>

	* tools/sgen/sgen-grep-binprot.c (main): Use strtoul(), not
	strtol(), to parse addresses from the command line.

2010-05-20  Miguel de Icaza  <miguel@novell.com>

	* configure.in: drop again the pkg.m4 dependency and for eglib
	cases (and not-Windows) make it entirely optional.

2010-05-11  Andrew Jorgensen  <ajorgensen@novell.com>

	* scripts/mono-find-*.in: Look for libmono-2.0.so.1, not libmono.so
	and set MONO_PATH to ensure that mscorlib.dll can be found

2010-04-29  Andreas Färber  <andreas.faerber@web.de>

	* configure.in: Check for -lm necessity.
	Fixes linking on Haiku.

	Contributed under MIT/X11 license.

2010-04-27  Mark Probst  <mark.probst@gmail.com>

	* scripts/mono-heapviz: If the major sections are too small, use a
	larger width.

2010-04-27  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Switch to eglib by default.

2010-04-26  Geoff Norton  <gnorton@novell.com>

	* configure.in: Allow cross compiling osx for 64-bit

2010-04-26  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Applied patch from Robert Nagy (robert@openbsd.org). Add
	sys/param.h dependencies to a few checks.

2010-04-25  Mark Probst  <mark.probst@gmail.com>

	* tools/sgen/sgen-grep-binprot.c: Support for major Mark&Sweep
	collector.

2010-04-20  Jonathan Pryor  <jpryor@novell.com>

	* configure.in: Check for the asm/sigcontext.h header.

2010-04-20  Andrés G. Aragoneses  <andres@lindenlab.com>

	* README: Replace --with-profile2 with --with-profile4.

2010-04-20  Jonathan Pryor  <jpryor@novell.com>

	* configure.in: On OpenBSD, remove duplicate -pthread options in 
	  libmono_ldflags.  Change from Robert Nagy <robert@openbsd.org>.

2010-04-20  Jonathan Pryor  <jpryor@novell.com>

	* configure.in: For Linux hosts, remove libmono_ldflags="-lpthread".
	  It's unnecessary (for !target_win32, pthreads are checked again 
	  later in configure.in), and it breaks Android (which doesn't have
	  libpthread, but DOES have pthreads in libc).

2010-04-19  Jonathan Pryor  <jpryor@novell.com>

	* configure.in: Disable AC_CHECK_LIB() for pthread, as this breaks
	  autoconf on BSD platforms.  (Why?  Who knows -- it's AutoConf!)

2010-04-19  Jonathan Pryor  <jpryor@novell.com>

	* configure.in: Use AC_CHECK_LIB() to check for pthread instead of
	  just blindly linking to -lpthread, as Android includes pthread
	  support within libc and doesn't provide a separate libpthread.
	  Android's <string.h> pulls in <malloc.h> (unlike glibc), resulting
	  in a build error in mono/utils/mono-codeman.c due to 
	  `struct mallinfo` re-declaration.  Define HAVE_USR_INCLUDE_MALLOC_H 
	  if /usr/include/malloc.h is present to avoid this.

2010-04-19  Jonathan Pryor  <jpryor@novell.com>

	* configure.in: Add header, structure member, and function checks as 
	  Android doesn't provide all the headers, structure members, and 
	  functions that a "full" Linux distro includes.

2010-04-19  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add a --enable-minimal=normalization option to disable support
	for string normalization.

2010-04-16  Marek Habersack  <mhabersack@novell.com>

	* configure.in: added a check for sysconf(3)

2010-04-14  Miguel de Icaza  <miguel@novell.com>

	* configure.in: turn the AC_MSG_ERROR into a AC_MSG_WARN since in
	Andrew's configuration this aborts the build:

	 host=i686-pc-linux-gnu != target=i586-suse-linux

	And I no longer remember why I added that error in the first
	place (we need to determine perhaps the arch/OS but it is
	difficult with those strings).

2010-04-08  Andreia Gaita  <avidigal@novell.com>

	* configure.in: Add an extra "only" option to --with-moonlight. This
	will configure mono to only build moonlight-specific stuff and
	nothing else. --with-moonlight=yes now just adds the moon profile to
	the build

	* Makefile.am: Add moonlight-specific rules that only build what
	moon needs. These are called directly from moon, to do fast
	moon+mono+mcs builds

	* runtime/Makefile.am: Change the build rules to have a moonlight-only
	build configuration, as well as a normal build that optionally includes
	it

2010-04-07  Raja R Harinath  <harinath@hurrynot.org>

	* runtime/Makefile.am ($(tmpinst)/bin/dmcs): Add.

2010-04-06  Andreia Gaita  <avidigal@novell.com>

	* configure.in: add --with-mcs-path option to specify where the mcs
	source can be found, if not on ./mcs or ../mcs.
	Only touch the mcs and/or olive dirs and config files if we're
	actually building them

2010-04-05  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Append -lgc to libmono_ldflags if using an external libgc.

2010-04-04  Andreas Färber  <andreas.faerber@web.de>

	* configure.in: Fix typo.
	Set default for with_moonlight to fix "Moon Profile:" output.

	Contributed under MIT/X11 license.

2010-04-03  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Applied some openbsd changes from Robert Nagy
	<robert@openbsd.org>.

2010-04-03  Marek Habersack  <mhabersack@novell.com>

	* configure.in: TARGET_WIN32 and MINGW_CROSS_COMPILE are defined
	when cross-compiling with MinGW 

	* build-mingw32.sh: include the 4.0 profile in the zip.
	Remove cross-compilation environment bin path from PATH before
	compiling native Mono.
	Remove autotools cache directory before each compilation phase.

2010-04-02  Marek Habersack  <mhabersack@novell.com>

	* configure.in: include -lkernel32 in LDFLAGS when cross-compiling
	with MINGW or compiling on Cygwin.

	* build-mingw32.sh: some changes to make the compilation work
	better on non-SuSE systems.

2010-04-01  Mark Probst  <mark.probst@gmail.com>

	* scripts/mono-heapviz: Process and output detailed pinning
	statistics.

2010-03-29  Andreas Färber  <andreas.faerber@web.de>

	* configure.in: Add support for Haiku

	Contributed under MIT/X11 license.

2010-03-26  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add a --enable-system-aot option to control the generation of
	AOT images during the build.

2010-03-26  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Apply some openbsd changes from openbsd ports.

2010-03-23  Neale Ferguson <neale@sinenomine.net>

	* configure.in: Change ACCESS_UNALINGED to "yes" for s390/s390x.

2010-03-22  Andreia Gaita  <avidigal@gmail.com>

	* configure.in: fix build when doing with-mcs-docs=no on a clean tree

2010-03-19  Zoltan Varga  <vargaz@gmail.com>

	* autogen.sh: Pass -Wno-portability to automake to quiet some warnings.

2010-03-16  Jb Evain  <jbevain@novell.com>

	* runtime/Makefile.am, build-mingw32.sh: rename
	the net_2_1 profile to moonlight.

2010-03-10  Andrew Jorgensen  <ajorgensen@novell.com>

	* configure.in: configure eglib even when we are not building
	it (fixes dist)

Fri Mar 5 18:58:15 CET 2010 Paolo Molaro <lupus@ximian.com>

	* configure.in: introduce the --enable-small-config option
	to reduce runtime requirements (and capabilities).

2010-03-04  Zoltan Varga  <vargaz@gmail.com>

	* Makefile.am (DIST_SUBDIRS): Add eglib.

	* autogen.sh: Run eglib's autogen.sh too.

2010-03-02  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Makefile.am:
	* mono/Makefile.am: Only build some subdirs when configured for
	moonlight.

	* configure.in: If configured --with-moonlight=yes, define MOONLIGHT and
	use that variable instead of INSTALL_2_1.

	* runtime/Makefile.am: If configured for moonlight, only build
	net_2_1_raw.

2010-03-02  Mark Probst  <mark.probst@gmail.com>

	* tools/sgen-grep-binprot.c: Tool for searching through the binary
	protocol files generated by SGen.

2010-02-26  Miguel de Icaza  <miguel@novell.com>

	* Make the scripts default to 4.0 now.

2009-05-21  Miguel de Icaza  <miguel@novell.com>

	* Check for sys/select.h as well

Wed Feb 24 15:47:16 CET 2010 Paolo Molaro <lupus@ximian.com>

	* configure.in, data/mono-2.pc.in, data/Makefile.am,
	samples/embed/*: increase the API version.

2010-02-18  Marek Habersack  <mhabersack@novell.com>

	* scripts/mono-configuration-crypto.in: added

	* scripts/Makefile.am: added mono-configuration-crypto targets

2010-01-27  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Fix the setting of LLVM_CXXFLAGS.

2010-01-22  Andrés G. Aragoneses  <knocte@gmail.com>

	* configure.in: Improve r150055 by checking for CXX=g++ as well, according to
	http://lists.gnu.org/archive/html/bug-autoconf/2002-04/msg00077.html

2010-01-22  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Disable the solaris tar check on !solaris platforms.

2010-01-22  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Check whenever g++ is installed, since libtool requires it
	even if no c++ files will be compiled.
	See BNC#572871.

2010-01-22  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add -fno-rrti to CXXFLAGS.

2010-01-20  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* configure.in: Add support for disabling mdb support.

2010-01-15  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Don't define TARGET_WIN32 when --target is used.

2010-01-15  Zoltan Varga  <vargaz@gmail.com>

	* scripts/get-cygwin-deps.sh: New file. Contains a script to download and setup
	the dependencies needed for compiling mono on cygwin.

2010-01-06  Rodrigo Kumpera  <rkumpera@novell.com>

	* scripts/Makefile.am: Add peverify script.

	* scripts/peverify.in: Added.

2009-12-22  Geoff Norton  <gnorton@novell.com>

	* configure.in: Fix invalid escaping.  Patch from Spina from
	www.slacky.eu.

2009-12-21  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add an LLVM_CFLAGS automake variable.

2009-12-18  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Remove the check for valgrind/memcheck.h, we include the file
	in our sources now.

2009-12-11  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Applied patch from Matt McClellan (matt@mc-c.net). Add a check
	for 2 parameter sched_setaffinity in older glibc versions. Fixes
	#564000.

2009-11-22  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Disable visibility attributes on cygwin.

2009-11-18  Mark Probst  <mark.probst@gmail.com>

	* scripts/Makefile.am: Put mono-heapviz into EXTRA_DIST as well.

2009-11-18  Mark Probst  <mark.probst@gmail.com>

	* scripts/Makefile.am: mono-heapviz is not a managed executable.

2009-11-18  Mark Probst  <mark.probst@gmail.com>

	* configure.in: Allow SGen without __thread.

2009-11-17  Marek Habersack  <mhabersack@novell.com>

	* runtime/Makefile.am (TEST_SUPPORT_FILES): added bin/al2 - needed
	for System.Web tests.

2009-11-17  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add a --enable-minimal=soft-debug option.

2009-11-15  Andreas Faerber  <andreas.faerber@web.de>

	* configure.in (DTrace): Add missing -s switch for dtrace -h.
	Fixes BNC #445074.
	
	Contributed under MIT/X11 license.

2009-11-12  Zoltan Varga  <vargaz@gmail.com>

	* acinclude.m4 (dolt_supported): Handle 'i686-pc-cygwin' too.

2009-11-12  Mark Probst  <mark.probst@gmail.com>

	* scripts/mono-heapviz: New script for generating SGen heap
	visualizations.

	* scripts/Makefile.am: mono-heapviz added.

2009-11-11  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add checks for link.h and dl_iterate_phdr.

2009-11-10  Jonathan Chambers  <joncham@gmail.com>

	* winconfig.h: Bump version string to 2.7.

	Contributed under MIT/X11 license.

2009-11-09  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Define LLVM_MAJOR/MINOR_VERSION defines to allow working
	around changes in LLVM APIs.
	
	* configure.in: Remove the MONO_ARCH_REGPARMS define.

	* configure.in (MONO_ARCH_REGPARMS): Set MONO_ARCH_REGPARS on ARM.

2009-11-08  Rodrigo Kumpera  <rkumpera@novell.com>

	* configure.in: Add check for FreeBSD/ppc64.

	Patch by Justin Hibbits <chmeeedalf@gmail.com>.

2009-11-05  Miguel de Icaza  <miguel@novell.com>

	* Add configure check for xbox360

2009-11-04  Zoltan Varga  <vargaz@gmail.com>

	* acinclude.m4 (dolt_supported): Applied patch from Kornél Pál
	<kornelpal@gmail.com>. Enable dolt on cygwin.

2009-11-03  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Check for netinet/in.h.

2009-11-02 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* configure.in: add a few missing header file checks.

2009-11-01  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Make the LLVM warning a bit more up-to-date.

	* configure.in: Pass -mno-cygwin to CXX too on windows. Enable AC_PROG_CXX
	since it now works on windows too.

2009-10-27  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add support for cross-compiling to ppc.

2009-10-22  Rodrigo Kumpera  <rkumpera@novell.com>

	* configure.in: Add check for the deprecated attribute.

2009-10-12  Zoltan Varga  <vargaz@gmail.com>

	* data/Makefile.am (gdb_DATA): Install mono-gdb.py alongside the mono executable.

	* data/gdb-pre7.0: New directory, containing the mono support files for
	gdb versions before 7.0.

2009-10-10  Zoltan Varga  <vargaz@gmail.com>

	* */CMakeLists.txt: Update this to latest autoconf files.

2009-10-06  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Bump version to 2.7.

2009-10-01  Raja R Harinath  <harinath@hurrynot.org>

	* scripts/Makefile.am: Use 'mv -f' instead of 'mv'.

2009-09-30  Marek Safar  <marek.safar@gmail.com>

	* runtime/Makefile.am, configure.in: Don't build 1.1 profile

2009-09-29  Ankit Jain  <jankit@novell.com>

	* mono-core.spec.in: Add Microsoft.WebApplication.targets

2009-08-29  Jonathan Pryor  <jpryor@novell.com>

	* man/mdoc-export-html.1: Document --with-profile, --with-version.

2009-09-08  Zoltan Varga  <vargaz@gmail.com>

	* acinclude.m4 (dolt_supported): Enable this for mips.

2009-08-29  Jonathan Pryor  <jpryor@novell.com>

	* man/mdoc.5: Document the new <format/> element.

2009-08-18  Zoltan Varga  <vargaz@gmail.com>

	* scripts/Makefile.am: Applied patch from Hib Eris (hib@hiberis.nl).
	Add $(SCRIPT_SUFFIX) to the name of the 'mod' tool.

2009-08-04  Miguel de Icaza  <miguel@novell.com>

	* Start the split between PLATFORM_WIN32 and TARGET_WIN32.

	PLATFORM_WIN32 should be used to configure the runtime while
	building it.   TARGET_WIN32 is used for target execution.

	This is used by Mono's AOT cross compiler when running on Windows,
	but targetting a different operating system.    So we have to tell
	those two apart.

2009-07-24  Jb Evain  <jbevain@novell.com>

	* scripts/Makefile.am: generate a dmcs script for the 4.0 compiler
	when building the net_4_0 profile.

2009-07-24  Jb Evain  <jbevain@novell.com>

	* configure.in
	* runtime/Makefile.am
	* data/Makefile.am: create a and populate a configuration folder
	for the net_4_0 profile.

2009-07-21  Jb Evain  <jbevain@novell.com>

	* configure.in: add a --with-monotouch option.
	* runtime/Makefile.am: use it to trigger the mcs monotouch build.

2009-07-14  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add more libraries needed by the llvm backend.

2009-07-02  Jb Evain  <jbevain@novell.com>

	* scripts/Makefile.am: monolinker is now a 2.0 assembly.

2009-07-02  jonas echterhoff <jonas@unity3d.com>

	* configure.in: Add linker flag on Mac OS X to allow access to other
	processes, needed for debugging. Enable debugging on OS X.
	
2009-06-21  Zoltan Varga  <vargaz@gmail.com>

	* configure.in (TARGET_BYTE_ORDER): New define containing the byte order of
	the target.

2009-06-18  Marek Habersack  <mhabersack@novell.com>

	* data/browscap.ini: applied Mono modifications to the upstream
	version. Fixes three tests failing in System.Web. Fixes bug #513965
	Added ecmascriptversion, msdomversion and w3cdomversion to the IE
	8.0 entry. Fixes bug #513965

2009-06-16  Raja R Harinath  <harinath@hurrynot.org>

	* configure.in (--with-profile2): Simplify slightly.
	(--with-profile4, --with-moonlight): Likewise.

2009-06-15  Miguel de Icaza  <miguel@novell.com>

	* configure.in: Changed the default to not build the 4.0 profile
	unless explicitly enabled.

2009-06-15  Zoltan Varga  <vargaz@gmail.com>

	* CMakeLists.txt: Add mips support.

2009-06-14  Zoltan Varga  <vargaz@gmail.com>

	* scripts/CMakeLists.txt: New file.

	* samples/CMakeLists.txt: New file, currently empty.

2009-06-12  Andreia Gaita  <avidigal@novell.com>

	* data/config.in: add libcups dllmap entry

2009-06-11  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Disable dtrace support if dtrace doesn't support the
	-h option.

2009-06-10  Marek Safar  <marek.safar@gmail.com>

	* runtime/Makefile.am, configure.in: Make net_4_0 profile optional.

2009-06-07  Marek Safar  <marek.safar@gmail.com>

	* runtime/Makefile.am: Enabled net_4_0 for compilation.

2009-05-27  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Disable USE_MUNMAP on ppc to work around #504411.

2009-05-26  Zoltan Varga  <vargaz@gmail.com>

	* CMakeLists.txt: Implement AC_OUTPUT, creation of config.make, etc.
	
	* CMakeLists.txt: implement arm fpu detection, add vfp detection as
	well.

	* CMakeLists.txt: Add arm support.

2009-05-24  Miguel de Icaza  <miguel@novell.com>

	* Disable mono/docs build if we disabled the mcs build.

2009-05-24  Zoltan Varga  <vargaz@gmail.com>

	* */CMakeLists.txt: Add beginnings of a cmake based build system.

2009-05-22  Zoltan Varga  <vargaz@gmail.com>

	* acinclude.m4 (dolt_supported): Enable dolt on sparc linux.

2009-05-17  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add TARGET_POWERPC/POWERPC64 defines.

2009-05-09  Miguel de Icaza  <miguel@novell.com>

	* configure.in: Instead of reporting the various disabled features
	in a loop, where a keyword might fail, report the actual disabled
	features in the sections that handle them

2009-05-08  Zoltan Varga  <vargaz@gmail.com>

	* acinclude.m4 (dolt_supported): Add powerpc64.

2009-05-07  Rodrigo Kumpera  <rkumpera@novell.com>

	* runtime/Makefile.am (mcs-compileall): Pass --security=validil
	to the runtime so the assemblies are not required to be verifiable.

2009-05-06  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile.am (compiler-tests): Rewrite to re-build the moon
	assemblies after mcs/ is built.
	* runtime/Makefile.am (build_profiles) [INSTALL_2_1]: Build only
	the net_2_1_raw profile.
	(test_profiles): New.  Mention net_2_1 profile.
	(moon-do-build): New.

2009-05-05  Miguel de Icaza  <miguel@novell.com>

	* configure.in: Fix the bug reported on the mailing list by
	Koushik K Dutta: do not build docs when --disable-mcs-builds is
	passed. 

2009-05-05  Miguel de Icaza  <miguel@novell.com>

	* configure.in: Reduce configure-time dependencies by using
	pkg-config the way it was originally intended to be used, and not
	with the incredibly lame and painful inducing pkg.m4 file. 

	I am on a quest to remove this gratuitous dep on pkg.m4 that is
	making people's lives miserable around the globe, just because
	someone can not be bothered to learn the shell if construct.

2009-04-28  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add an option to disable the solaris tar check.
	
	* configure.in: Define a TARGET_<ARCH> preprocessor symbol for some
	architectures.

2009-04-23  Jb Evain  <jbevain@novell.com>

	* scripts/Makefile.am: add a pdb2mdb script.

2009-04-22  Jeffrey Stedfast  <fejj@novell.com>

	* configure.in: Check for a stable version of glib-2.0 as opposed
	to an unstable development version (we don't want people
	unfamiliar with glib versioning to install an unstable development
	version of glib).

2009-04-13  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Quiet 'copying selected object files' messages from
	newer libtool versions as well.
	
	* configure.in: Disable AC_PROG_CXX for now to fix the windows build.

	In mono/mini:

	* Makefile.am: Comment out the cpp files as f@#%$ automake complains even
	if they are inside a conditional.
	
2009-04-03  Zoltan Varga  <vargaz@gmail.com>

	* scripts/patch-quiet.sh: Process LTCXXCOMPILE too.

2009-04-02  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Move the call to AC_PROG_CXX earlier and enable it again.
	
	* configure.in: Disable the call to AC_PROG_CXX for now.

2009-04-02  Marek Habersack  <mhabersack@novell.com>

	* data/Makefile.am: added system.web.mvc.pc{.in}

	* configure.in: added data/system.web.mvc.pc to AC_OUTPUT

	* data/system.web.mvc.pc.in: added

2009-04-02  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add an ENABLE_LLVM autoconf define.
	
	* configure.in: Add --enable-llvm argument to enable the experimental
	LLVM back end.

2009-03-31  Jb Evain  <jbevain@novell.com>

	* scripts: Remove smcs, which is handled by moon now.
	* data: ditto.

2009-03-20  Zoltan Varga  <vargaz@gmail.com>

	* mono/os: Remove this now empty directory.
	
	* mono/Makefile.am (SUBDIRS): Remove 'os'.

2009-03-16  Atsushi Enomoto  <atsushi@ximian.com>

	* scripts/Makefile.am : mono-xmltool uses 2.0.

2009-03-12  Jonathan Pryor  <jpryor@novell.com>

	* scripts/Makefile.am: Add sqlmetal.

2009-03-10  Zoltan Varga  <vargaz@gmail.com>

	* README: Remove the comment about --with-moonlight being pre-alpha.

2009-03-10  Atsushi Enomoto  <atsushi@ximian.com>

	* scripts/Makefile.am : added svcutil.

2009-02-26  Marek Habersack  <mhabersack@novell.com>

	* data/mono.web.pc.in: added. Fixes bug #479760

	* data/Makefile.am:  added mono.pc{.in} wherever necessary

2009-02-07 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* configure.in: include stdio so that NULL is defined when checking
	for ifreq.

2009-02-06  Miguel De Icaza  <miguel@novell.com>

	* Disable parallel marking on OSX as it hangs during collections
	in the bootstrap stage of Mono.

	As we find more platforms that hang, we should disable it there as
	well. 

2009-02-03  Miguel de Icaza  <miguel@novell.com>

	* configure.in (PLATFORM_NO_SYMLINKS): New define that replaces
	PLATFORM_WIN32.

2009-02-02  Rodrigo Kumpera  <rkumpera@novell.com>

	* configure.in: Add --with-mcs-docs to make it possible to disable building of documentation under mcs.

2009-01-29  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Remove -Wcast-align from the warning list, it leads to a lot of
	useless warnings which can only be fixed by casting a pointer to (void*).

2009-01-29  Miguel de Icaza  <miguel@novell.com>

	* configure.in: Add a couple of new AM conditionals for POSIX and
	DARWIN, these are used to conditionally include some files in
	mono/mini. 

2009-01-27  Jb Evain  <jbevain@novell.com>

	* configure.in: bump Mono's version to 2.5 now that 2.4
	has been branched.

2009-01-25  Zoltan Varga  <vargaz@gmail.com>

	* acinclude.m4 (dolt_supported): Handle ARM as well.

2009-01-23  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Make --enable-parallel-mark=yes the default.

2009-01-17  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Complete the OPROFILE checks.

2009-01-16  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Avoid error messages in the quiet code if libgc/Makefile
	does not exist yet. Fixes #466814.

2009-01-09  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Check for the existence of the gettext executables.

2008-01-08  Christian Prochnow  <cproch@seculogix.de>

	* configure.in: Check for sys/statfs.h and sys/mount.h

2009-01-07  Geoff Norton  <gnorton@novell.com>

	* configure.in: Provide platform information to the mcs build tree

2009-01-06  Jb Evain  <jbevain@novell.com>

	* scripts/Makefile.am: don't generate a script for the now
	dead mono-api-diff.

2008-12-05  Jonathan Pryor  <jpryor@novell.com>

	* scripts/mdassembler, scripts/monodocer, scripts/monodocs2html:
	  Properly quote parameters as they may contain spaces.

2008-12-05  Jonathan Pryor  <jpryor@novell.com>

	* man/mdoc-update.1: Document -fno-assembly-versions.

2009-01-05  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Disable sigaltstack on freebsd as it doesn't seem to work.

2008-12-16  Marek Habersack  <mhabersack@novell.com>

	* data/system.web.extensions.design_1.0.pc.in: added

	* data/Makefile.am (EXTRA_DIST): added
	system.web.extensions.design_1.0.pc.in. Also added to
	pkgconfig_DATA

	* configure.in: added data/system.web.extensions_1.0.pc to
	AC_OUTPUT

2008-12-16  Bill Holmes  <billholmes54@gmail.com>

	* winconfig.h : Defining the SIZEOF_REGISTER variable for the MSVC builds.

	Code is contributed under MIT/X11 license.

2008-12-15  Marek Habersack  <mhabersack@novell.com>

	* data/Makefile.am (EXTRA_DIST): added
	system.web.extensions_1.0.pc.in. Also added to pkgconfig_DATA

	* data/system.web.extensions_1.0.pc.in: added. This file serves
	the purpose of making MonoDevelop see the 1.0 version of the
	System.Web.Extensions assembly in the project references
	editor. This will also make legacy 2.0 ASP.NET apps not fail when
	they reference the 1.0 version of the assembly in their project
	files.

	* configure.in: added data/system.web.extensions_1.0.pc to AC_OUTPUT

2008-12-11  Mark Mason <mmason@upwardaccess.com>

	* configure.in: introduce SIZEOF_REGISTER - usually ==SIZEOF_VOID_P, except on mips/n32
	
2008-12-05  Marek Habersack  <mhabersack@novell.com>

	* configure.in: check whether round (3) and rint (3) are present
	in the C library.

2008-12-05  Jonathan Pryor  <jpryor@novell.com>

	* man/mdoc-update.1: Document new parameters such as --exceptions.

2008-12-04  Mark Probst  <mark.probst@gmail.com>

	* configure.in: Disabling the sibling call optimization doesn't
	work, so we're using -mminimal-toc.

2008-12-03  Mark Probst  <mark.probst@gmail.com>

	* configure.in: Disable sibling call optimization on PPC64 as it
	seems to trip up GCC on the build bot.

2008-11-28  Atsushi Enomoto  <atsushi@ximian.com>

	* data/mono-nunit.pc.in : add new 2.4.8 files.

2008-11-21  Jb Evain  <jbevain@novell.com>

	* scripts/Makefile.am: use only one mono-api-info pointing to the cecil one
	which is mscorlib agnostic.

2008-11-21  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Only enable AOT on linux. Fixes #447265.

2008-11-19  Jonathan Pryor  <jpryor@novell.com>

	* configure.in: Remove mono/monoburg/Makefile; fixes the build.

2008-11-14  Andreas Färber  <andreas.faerber@web.de>

	* configure.in: Add preprocessor defines for ppc(64).
	Suggested by Paolo and Mark.
	
	Contributed under MIT/X11 license.

2008-11-12  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add an ENABLE_AOT variable to config.make, currently only
	enabled for AMD64.

2008-11-11  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Bump version to 2.3.

Mon Nov 10 17:37:08 CET 2008 Paolo Molaro <lupus@ximian.com>

	* configure.in: check for sys/user.h and struct kinfo_proc members.

2008-11-07  Bill Holmes  <billholmes54@gmail.com>

	* winconfig.h : Removing HAVE_DIRENT_H, HAVE_STDINT_H,
	  HAVE_VISIBILITY_HIDDEN, HAVE_ZLIB for the VC builds.

	Code is contributed under MIT/X11 license.

2008-11-05  Bill Holmes  <billholmes54@gmail.com>

	* configure.in : Adding a auto configure check for dirent.h.

	Code is contributed under MIT/X11 license.

2008-10-30  Jonathan Pryor  <jpryor@novell.com>

	* Makefile.am: Build `docs` after `runtime`, so that it can depend
	  upon mdoc.exe for it's operation.

2008-10-30  Jonathan Pryor  <jpryor@novell.com>

	* man/mdoc-assemble.1: Document //node use within .source files.

2008-10-27  Jb Evain  <jbevain@novell.com>

	* data/cecil.pc.in: update version.

2008-10-22  Zoltan Varga  <vargaz@gmail.com>

	* scripts/Makefile.am: Add gacutil1 script.

2008-10-21  Atsushi Enomoto  <atsushi@ximian.com>

	* data/dotnet35.pc.in : added sys.cm.dataannotations.dll too.

2008-10-21  Atsushi Enomoto  <atsushi@ximian.com>

	* data/net_2_0/web.config : added new assemblies and namespaces in
	  pages and compilation sections.

2008-10-21  Atsushi Enomoto  <atsushi@ximian.com>

	* data/dotnet35.pc.in : added new assemblies (dlinq, abstractions,
	  routing, dynamic data).

2008-10-20  Jonathan Pryor  <jpryor@novell.com>

	* scripts/mod.in: Remove bash-isms.

2008-10-18  Jonathan Pryor  <jpryor@novell.com>

	* configure.in: Generate data/monodoc.pc.

2008-10-18  Jonathan Pryor  <jpryor@novell.com>

	* data/Makefile.am: Add monodoc.pc to $(pkgconfig_DATA), $(DISTCLEANFILES).

2008-10-18  Jonathan Pryor  <jpryor@novell.com>

	* data/monodoc.pc.in: Fixup sourcesdir.
	* data/Makefile.am (EXTRA_DIST): Add monodoc.pc.in.

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* scripts/Makefile.am: Install scripts for mdoc-compat commands.
	* scripts (svn:ignore): Ignore generated files.
	* mdassembler, mdvalidater, monodocer, monodocs2html, 
	  monodocs2slashdoc: Added; "compatibility" scripts, converting the
	  previous commands into mdoc commands.

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* scripts/Makefile.am: Create scripts for mdoc sub-commands.

2008-10-17  Jonathan Pryor  <jpryor@novell.com>

	* scripts/Makefile.am: Add mod.

2008-10-16  Jonathan Pryor  <jpryor@novell.com>

	* scripts/Makefile.am: Move mono-shlib-cop to scripts_2_0.

2008-10-15  Jonathan Pryor  <jpryor@novell.com>

	* configure.in: Add checks for `struct flock`, `struct timespec`.

2008-10-14  Jonathan Pryor  <jpryor@novell.com>

	* data/mono-options.pcs.in: We're not installing Mono.Options.dll into 
	  the GAC anymore, we're just concerned `pkg-config --variable=Source` 
	  support.

2008-10-14  Jonathan Pryor  <jpryor@novell.com>

	* data/mono-options.pc.in: Add a Sources variable so that 
	  `pkg-config --variable Sources mono-options` can be used to grab the
	  sources to Mono.Options (useful for embedding).

2008-10-13  Jonathan Pryor  <jpryor@novell.com>

	* configure.in: Generate data/mono-options.pc.
	* data/Makefile.am: Support mono-options.pc.in and mono-options.pc.
	* data/mono-options.pc.in: Added.

Mon Oct 13 11:26:19 CEST 2008 Paolo Molaro <lupus@ximian.com>

	* configure.in: check for shm_open ().

2008-10-12  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Only process Makefiles with patch-quiet.sh which have a 
	corresponding Makefile.in.

2008-10-11  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Make --enable-minimal=reflection_emit turn on
	--enable-minimal=reflection_emit_save too.

	* README: Add docs for the option.

	* configure.in: Add --enable-minimal=reflection_emit_save option.

2008-10-10  Atsushi Enomoto  <atsushi@ximian.com>

	* data/net_2_0/web.config: add UrlRouting.axd handler (forbidden).

2008-10-08  Zoltan Varga  <vargaz@gmail.com>

	* Makefile.am (dist-hook): Use 'net_1_1' instead of 'default'.

	* runtime/Makefile.am: Rename 'default' profile to 'net_1_1'.

2008-10-07  Atsushi Enomoto  <atsushi@ximian.com>

	* data/Makefile.am : there seems a couple more of required changes.

2008-10-07  Atsushi Enomoto  <atsushi@ximian.com>

	* scripts/Makefile.am : one more dist fix is needed.

2008-10-07  Atsushi Enomoto  <atsushi@ximian.com>

	* configure.in : fix missing change for previous change.

2008-10-07  Atsushi Enomoto  <atsushi@ximian.com>

	* scripts/mono-nunit.pc.in, data/mono-nunit.pc.in:
	  move former to latter.
	* scripts/Makefile.am : remove packaging info.
	* data/Makefile.am : add mono-nunit.pc too.

2008-10-03  Rodrigo Kumpera  <rkumpera@novell.com>

	* configure.in: Add simd intrinsics to the disable set.

2008-10-01  Jb Evain  <jbevain@novell.com>

	* scripts/Makefile.am: add mono-cil-strip.

2008-09-29  Zoltan Varga  <vargaz@gmail.com>

	* scripts/patch-quiet.sh: Handle the ifs used by some versions of
	automake.

2008-09-25  Luis Ortiz  <lortiz@interactivesupercomputing.com>

	* configure.in: Big arrays are only supported on 64 bit systems. 

	Fixes #430022

2008-09-24  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add --enable-minimal=attach option.

2008-09-22  Raja R Harinath  <harinath@hurrynot.org>

	* scripts/patch-quiet.sh: Skip Makefiles that've already been
	patched.  Handle automake 1.10a.

2008-09-18  Mark Probst  <mark.probst@gmail.com>

	* docs/generic-sharing: More generic sharing porting
	documentation.

2008-09-17  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile.am (EXTRA_DIST): Update.
	* nls.m4, progtest.m4: Really add from Gettext 0.17.

2008-09-15  Raja R Harinath  <harinath@hurrynot.org>

	* configure.in (AC_CONFIG_FILES): Put po/mcs/Makefile.in in its
	own stanza.
	(AC_OUTPUT): Don't list po/mcs/Makefile, it's automatically
	handled by AM_PO_SUBDIRS.

2008-09-14  Miguel de Icaza  <miguel@novell.com>

	* Added some infrastructure to start the translation of the
	compiler error messages.

	Currently the compiler does not yet use the infrastructure,
	that needs a bit of work, but the PO infrastructure is in place. 

2008-09-14  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add po/mcs.
	(DIST_SUBDIRS): Add po/mcs.
	(EXTRA_DIST): Add config.rpath.
	* configure.in (AC_CONFIG_FILES): Add po/mcs/Makefile.in.

2008-09-14  gettextize  <bug-gnu-gettext@gnu.org>

	* gettext.m4: New file, from gettext-0.17.
	* iconv.m4: New file, from gettext-0.17.
	* lib-ld.m4: New file, from gettext-0.17.
	* lib-link.m4: New file, from gettext-0.17.
	* lib-prefix.m4: New file, from gettext-0.17.
	* nls.m4: New file, from gettext-0.17.
	* po.m4: New file, from gettext-0.17.
	* progtest.m4: New file, from gettext-0.17.
	* Makefile.am (EXTRA_DIST): Add the new files.

2008-09-12  Zoltan Varga  <vargaz@gmail.com>

	* scripts/patch-quiet.sh: Remove an obsolete comment. Change the Makefile so
	this script is rerun if Makefile.am changes.

2008-09-11  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add a DISABLE_JIT automake conditional too.

	* configure.in: Add a --enable-minimal=jit option to disable jit, only
	allowing full-aot execution.

2008-09-10  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Move the computation of export_ldflags after libtool has
	been created.

2008-09-08  Massimiliano Mantione  <massi@ximian.com>

	* configure.in: Added DISABLE_PROFILER automake conditional.

2008-08-29  Geoff Norton  <gnorton@novell.com>

	* configure.in: Rollup our unrolled FreeBSD support so that we properly
	build and compile on FreeBSD6+.  (FreeBSD5 is 2004)

2008-08-28  Geoff Norton  <gnorton@novell.com>

	* build-iphone.sh: iPhone lies about HAVE_MMAP as well.

2008-08-26  Geoff Norton  <gnorton@novell.com>

	* build-iphone.sh: Update build-iphone to not wget old inssel's, and build
	out of the box with teh current SDK.

2008-08-28  Zoltan Varga  <vargaz@gmail.com>

	* scripts/Makefile.am (scripts_2_0): Add gacutil2.
	* scripts/gacutil2: New file.

2008-08-22  Jb Evain  <jbevain@novell.com>

	* data/wcf.pc.in
	* data/Makefile.am
	* configure.in: add a new wcf.pc for assemblies recently moved
	from olive to mcs.

2008-08-12  Bill Holmes  <billholmes54@gmail.com>

	* winconfig.h:  Updating the config file for MSVC builds to match
 	  the config file used when compiling with gcc in Cygwin.

	Contributed under MIT/X11 license.

2008-08-09  Rodrigo Kumpera  <rkumpera@novell.com>

	* docs/generic-sharing: Some updates from an irc talk with Mark.

2008-08-06  Zoltan Varga  <vargaz@gmail.com>

	* Makefile.am (EXTRA_DIST): Add dtrace-prelink.sh and build-mingw32.sh.

	* scripts/Makefile.am (EXTRA_DIST): Add patch-quiet.sh.

2008-08-05  Marek Habersack  <mhabersack@novell.com>

	* configure.in: use the PKG_CONFIG_PATH only when cross-compiling.

2008-08-05  Marek Habersack  <mhabersack@novell.com>

	* configure.in: added support for cross-compilation

2008-08-05  Marek Habersack  <mhabersack@novell.com>

	* build-mingw32.sh: added a script to build Mono for Windows on a
	Linux host using mingw.

2008-08-05  Marek Habersack  <mhabersack@novell.com>

	* scripts/Makefile.am: added support for cross-compilation,
	including .bat generation for windows targets.

2008-08-05  Marek Habersack  <mhabersack@novell.com>

	* scripts/smcs.bat.in, scripts/script.bat.in,
	scripts/script_umask.bat.in: added .bat templates.

2008-08-05  Marek Habersack  <mhabersack@novell.com>

	* runtime/Makefile.am: mingw cross-compilation support.

2008-08-05  Andreas Färber  <andreas.faerber@web.de>

	* autogen.sh: Suppress arguments warning for NOCONFIGURE.
	
	Contributed under MIT/X11 license.

2008-08-02  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Enable dtrace by default on platforms which support it.

2008-07-27  Zoltan Varga  <vargaz@gmail.com>

	* scripts/patch-quiet.sh: Make the libtool --quiet flag configurable by
	V=1 as well.

2008-07-24  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Patch libtool to avoid the 
	'copying selected object files ...' messages.

2008-07-24  Rodrigo Kumpera  <rkumpera@novell.com>

	* configure.in: Change USED_GC_NAME to show if parallel mark is used.
	This is shown in mono --version.

2008-07-22  Mark Probst  <mark.probst@gmail.com>

	* configure.in: New configure option (--with-malloc-mempools) to
	make mempools use malloc for every single allocation, which makes
	it easier to use debugging/profiling tools like Valgrind.

2008-07-21  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Invoke patch-quiet.sh using AC_CONFIG_COMMANDS so it
	runs during a reconfigure too.

2008-07-13  Zoltan Varga  <vargaz@gmail.com>

	* docs/aot-compiler.txt: Update docs.

2008-07-09  Zoltan Varga  <vargaz@gmail.com>

	* scripts/patch-quiet.sh: Another try to fix this on osx.
	
	* scripts/patch-quiet.sh: Use \\t to encode \t.

	* scripts/patch-quiet.sh: Remove a stray \t.

2008-07-10  Raja R Harinath  <harinath@hurrynot.org>

	* configure.in (enable_quiet_build): Work better on a non-srcdir build.
	(mono_cv_sizeof_sunpath): Rename cacheval from 'cv_mono_sizeof_sunpath'
	to placate autoconf.

2008-07-07  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Make the patching done by --enable-quiet quiet.

2008-07-07  Zoltan Varga  <vargaz@gmail.com>

	* scripts/patch-quiet.sh: Make this more precise.

2008-07-06  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add an --enable-quiet-build option.

	* Makefile.am (patch-quiet): New target.

	* acinclude.m4: Handle --quiet.

2008-07-05  Mark Probst  <mark.probst@gmail.com>

	* docs/generic-sharing: Docs about porting generic sharing.

2008-07-04  Zoltan Varga  <vargaz@gmail.com>

	* scripts/patch-quiet.sh (src): Fix verbose mode.

2008-07-03  Mark Probst  <mark.probst@gmail.com>

	* docs/generic-sharing: New documentation file about generic code
	sharing.  Currently contains information about examining stack
	frames of generic shared code.

2008-07-03  Zoltan Varga  <vargaz@gmail.com>

	* scripts/patch-quiet.sh: New helper script.

2008-07-02  Gert Driesen  <drieseng@users.sourceforge.net>

	* data/net_1_1/machine.config: Ignore system.windows.forms section.
	* data/net_2_0/machine.config: Define system.windows.forms section.

2008-06-30  Alp Toker  <alp@nuanti.com>

	* configure.in:
	* acinclude.m4: Remove concatenation syntax from doltlibtool to support
	old versions of bash and re-enable dolt.

2008-06-26  Alp Toker  <alp@nuanti.com>

	* acinclude.m4: Prospective dolt fix for the build bot. Fix syntax to work
	with older bash versions.

2008-06-26  Alp Toker  <alp@nuanti.com>

	* acinclude.m4: Update dolt to the latest git version 5e9eef10. (The one we
	had wasn't in fact the latest version and had a known bug.)

2008-06-25  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Enable dolt by default as an experiment.

	* acinclude.m4: Update dolt to the latest git version.

2008-06-23  Andreas Färber  <andreas.faerber@web.de>

	* data/Makefile.am (EXTRA_DIST): Distribute mono.d.

	Contributed unter MIT/X11 license.

2008-06-11  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Remove -D_FILE_OFFSET_BITS=64 from the CPPFLAGS passed to
	libgc on sparc. Fixes #323138.

2008-06-05  Andreas Färber  <andreas.faerber@web.de>

	* configure.in: Add configure option for DTrace.
	* dtrace-prelink.sh: New file, helper script for DTrace builds.
	* data/mono.d: New file, defines the DTrace 'mono' provider.

	Contributed unter MIT/X11 license.

2008-05-31  Andreas Färber  <andreas.faerber@web.de>

	* configure.in (big-arrays): Output fix.
	  Display "no" in absence of --enable-big-arrays.

	Contributed unter MIT/X11 license.

2008-05-27 Rodrigo Kumpera  <rkumpera@novell.com>

	* configure.in: Add configure option for big arrays.

	  Patch by Luis F. Ortiz.
	  Contributed under X11 license.
	  http://lists.ximian.com/pipermail/mono-devel-list/2008-May/027995.html

2008-05-23  Wade Berrier  <wberrier@novell.com>

	* scripts/Makefile.am: remove mbas script since we don't ship it anymore
	(fixed bnc#393903)

2008-05-22 Marek Safar  <marek.safar@gmail.com>

	* Makefile.am: Distribute 2.0 profile specific files.

2008-05-21  Zoltan Varga  <vargaz@gmail.com>

	* acinclude.m4: New file, contains a snapshot of dolt.

	* configure.in: Add support for the DOLT libtool replacement.

2008-05-19  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Change the way CPPFLAGS/CFLAGS are passed to libgc one more
	time. This time, we collect them in two variables and pass these to libgc
	configure instead of using the standard CPPFLAGS/CFLAGS, to prevent problems
	during reconfiguring. Also pass '-mno-tls-direct-segment-refs' to libgc 
	configure, hopefully fixing #385006.

2008-05-15  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add a check for sgen and __thread. Fixes #347171.

2008-05-14  Atsushi Enomoto  <atsushi@ximian.com>

	* configure.in, data/Makefile.am, data/dotnet35.pc : 
	  add new package for .net framework 3.5 libs.

2008-05-12  Raja R Harinath  <harinath@hurrynot.org>

	* scripts/mono-service.in: Undo 2008-05-08.  '2>&1' is not a bash-ism.

2008-05-09  Zoltan Varga  <zovarga@debian.chello.hu>

	* Makefile.am (get-monolite-latest): Create mcs/lib if not existing.

2008-05-08  Robert Jordan  <robertjj@gmx.net>

	* scripts/mono-service.in: Replace bash-ism with `sh' syntax.

2008-05-07  Sebastien Pouliot  <sebastien@ximian.com>

	* data/net_[1_1|2_0]/machine.config: Add entry to remap the public 
	key used by Silverlight 2.0 platform assemblies. Needed in both 
	profiles since SN uses 1.0.

2008-05-05  Andreas Färber  <andreas.faerber@web.de>

	* configure.in: Detect ppc64 target architecture.
	
	Contributed unter MIT/X11 license.

2008-04-29  Kornél Pál  <kornelpal@gmail.com>

	* configure.in: Check for sys/utime.h.
	* winconfig.h: Define HAVE_SYS_UTIME_H, undef HAVE_UTIME_H.

2008-04-28  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Use lowercase for 'integrity of package' for consistency.

2008-04-28  Geoff Norton  <gnorton@novell.com>

	* build-iphone.sh: Some updates to work with the latest SDK.

2008-04-24  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Use the three argument form of AC_DEFINE everywhere since it is
	required by autoheader for parameters not in acconfig.h.

	* acconfig.h: Removed, all the parameters are defined in configure.in now.

2008-04-24  Rodrigo Kumpera  <rkumpera@novell.com>

	* runtime/Makefile.am (mcs-compileall): Turn on the verifier.

2008-04-18  Wade Berrier  <wberrier@novell.com>

	* scripts/mono-find-requires.in: Add env var to ignore scanning
	of .config files.
	Fix extra whitespace when no config reqs are found.

2008-04-17  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Enable the valgrind header check on amd64 too.

2008-04-16  Wade Berrier  <wberrier@novell.com>

	* scripts/mono-find-requires.in: Fix extraneous whitespace that makes
	some reqs from .config be on the same line as the monodis reqs.

2008-04-16  Jb Evain  <jbevain@novell.com>

	* configure.in, data/Makefile.am: add a smcs.pc file,
	that moonlight can use to locate smcs.exe.

2008-04-11  Atsushi Enomoto  <atsushi@ximian.com>

	* scripts/Makefile.am : we need genxs2 for generating 2.0 based 
	  serializer.

2008-04-08  Dean Brettle  <dean@brettle.com>

	* configure.in, runtime/Makefile.am: create a symlink at
	mono/runtime/etc/mono/2.0/Browsers/Compat.browser similar to machine.config

2008-03-26  Massimiliano Mantione  <massi@ximian.com>
	* configure.in: Added PLATFORM_LINUX automake conditional.

2008-03-25  Zoltan Varga  <vargaz@gmail.com>

	* runtime/Makefile.am (mcs-compileall): Skip net 2.1 assemblies for now.

2008-03-22  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Pass CPPFLAGS to libgc configure using ac_configure_args instead
	of exporting it. Fixes #373113.

2008-03-20  Geoff Norton  <gnorton@novell.com>

	* build-iphone.sh: Add CPLUS_INCLUDE_PATH.

2008-03-20  Kornél Pál  <kornelpal@gmail.com>

	* configure.in: Added Windows version macros to CPPFLAGS and export
	CPPFLAGS for libgc configure to ensure Windows version compatibility.
	* winconfig.h: Added compile-time feature detection and support for
	64-bit Windows versions. Updated VERSION to 1.9.

2008-03-19  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Fix a typo.

2008-03-17  Geoff Norton  <gnorton@novell.com>

	* build-iphone.sh: Fix a typo.
	
2008-03-12  Atsushi Enomoto  <atsushi@ximian.com>

	* scripts/Makefile.am : added xsd2.

2008-03-12  Geoff Norton  <gnorton@novell.com>

	* build-iphone.sh: A autogen/make wrapper to define everything to build
	mono for the iphone.
	* configure.in: Add support for arm-apple-darwin (iPhone).

2008-03-05  Wade Berrier  <wberrier@novell.com>

	* scripts/Makefile.am: fix typo so that 'scripts_defaults' scripts get
	installed.
	Fix sed command so that 'scripts_defaults' scripts work. 
	Add some files to the cleanup list.

2008-03-02  Miguel de Icaza  <miguel@novell.com>

	* configure.in: No need to detect mcs1, as we are going to keep
	mcs as the 1.0 compiler and gmcs as the 2.0 compiler.  Since
	making mcs a 2.0 compiler caused too many problems.

2008-02-29  Miguel de Icaza  <miguel@novell.com>

	* configure.in: Detect if there is an mcs1 command installed as
	the external c# compiler, and if this is the compiler, pick this
	to bootstrap. 

	You need to re-autogen.sh after the first installation of mono
	with the new scripts.

2008-02-28  Miguel de Icaza  <miguel@novell.com>

	* scripts/Makefile.am: Implement new defaults for the Mono 2.0
	release, 2.0 profile executables are now the defaults (al, ilasm,
	mkbundle, mono-api-info, monop, resgen, wsdl and mcs).

	Old commands running under the 1.0 profile are still available
	by having the number 1 appended to their command name (al1,
	ilasm1, mcs1, mkbundle1, mono-api-info1, monop1, resgen1, wsdl1). 

2008-02-05  Zoltan Varga  <vargaz@gmail.com>

	* runtime/Makefile.am: Update after the changes to mcs/Makefile.

2008-02-03  Zoltan Varga  <vargaz@gmail.com>

	* runtime/Makefile.am (clean-local): Use mono --wapi=semdel instead of the
	nonexistent semdel utility.

	* runtime/semdel-wrapper.in: Delete.

2008-01-28  Wade Berrier  <wberrier@novell.com>

	* configure.in: version bump -> 1.9

2008-01-26  Zoltan Varga  <vargaz@gmail.com>

	* docs/mini-porting.txt: Add some info about the order the JIT regression
	tests should be run.

2008-01-26  Daniel Nauck  <dna@mono-project.de>

	* scripts/mono-service.in: fix compability with the dash shell,
	it doesn't like the use of >& without a file descriptor

2008-01-09  Zoltan Varga  <vargaz@freemail.hu>

	* runtime/Makefile.am (mcs-compileall): Remove some whitespace after
	a backslash.

2008-01-05  Zoltan Varga  <vargaz@gmail.com>

	* Makefile.am (DIST_SUBDIRS): Use $(eglib_dir) instead of eglib to
	fix make dist.

2008-01-05  Andreas Faerber  <andreas.faerber@web.de>

	* configure.in: Add support for building with eglib and VPATH.
	Fixes #351893.

2008-01-05  Andreas Faerber  <andreas.faerber@web.de>

	* configure.in: Define eglib_dir.
	* Makefile.am: Add eglib to subdirectory lists.

2007-12-31  Jonathan Chambers  <joncham@gmail.com>

	* winconfig.h: Define HAVE_GETPROCESSID.
	Contributed under MIT/X11 license.

2007-12-28  Everaldo Canuto  <ecanuto@novell.com>

	* configure.in: Add support for oprofile.

2007-12-08  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add check for sys/mkdev.h.

2007-12-05  Dick Porter  <dick@ximian.com>

	* configure.in: Define PLATFORM_SOLARIS for solaris builds, needed
	by fix for bug 323524.

2007-11-21  Dick Porter  <dick@ximian.com>

	* configure.in: No need to check for glib functions any more

2007-11-19  Atsushi Enomoto  <atsushi@ximian.com>

	* configure.in : fix win32 build.

2007-11-16  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Make --with-moonlight=yes the default.

2007-11-15  Dick Porter  <dick@ximian.com>

	* configure.in: Check for g_strsplit_set() and g_strv_length()

2007-11-10  Alp Toker  <alp@atoker.com>

	* samples/embed/teste.c: Add a newline at the end of this printf()

2007-11-08  Wade Berrier  <wberrier@novell.com>

	* configure.in: add sysconfdir for mcs config.make
	version bump -> 1.2.6

2007-11-07  Geoff Norton  <gnorton@novell.com>

	* configure.in: Add a check for sockaddr_in(6).sin(6)_len

2007-11-05  Geoff Norton  <gnorton@novell.com>

	* configure.in: Set GMODULE_CFLAGS and GMODULE_LIBS to be set
	with eglib as well

2007-10-30  Raja R Harinath  <harinath@gmail.com>

	* runtime/Makefile.am ($(tmpinst)/bin/gmcs): Update rule to point
	to location of 'gmcs.exe'.

2007-10-29  Raja R Harinath  <rharinath@novell.com>

	* configure.in (olive_topdir): Look for $olivedir in the source tree.

2007-10-19  Marek Habersack  <mhabersack@novell.com>

	* scripts/Makefile.am (scripts_2_0): added mconfig to the list

2007-10-09  Wade Berrier  <wberrier@novell.com>

	* configure.in: Split up the mono version that goes into Consts.cs 
	to make sure each segment is no longer than 4 digits.  
	This allows svn revisions to be used.

2007-10-02  Miguel de Icaza  <miguel@novell.com>

	* scripts/mono-test-install: (temp_exe): Add tests for dynamic
	libraries that libgdiplus might be missing

	Add detection and diagnostics for
	broken System.Drawing installations.

2007-09-19  Jb Evain  <jbevain@novell.com>

	* configure.in: if there's a olive directory in the same folder
	as mono, we now override its config.make, so that we don't build
	the olive moonlight assemblies if mono is not build with moonlight
	support.

2007-09-18  Andreas Faerber  <andreas.faerber@web.de>

	* configure.in: Add support for building on Linux/ppc64 host.

2007-09-18  Marek Habersack  <mhabersack@novell.com>

	* configure.in: added additional Makefile to be generated in the
	mono/tests/assemblyresolve/ subdir.

2007-09-17  Zoltan Varga  <vargaz@gmail.com>

	* docs/memory-management.txt: A new file describing metadata memory management.

2007-09-14  Jonathan Chambers  <joncham@gmail.com>

	* winconfig.h: Define WINVER and _WIN32_WINNT for VS
	build.
	
	Contributed under MIT/X11 license.

2007-09-14  Jonathan Chambers  <joncham@gmail.com>

	* winconfig.h: Don't define HAVE_UNISTD_H on MSVC build.
	
	Contributed under MIT/X11 license.

2007-09-03  Atsushi Enomoto  <atsushi@ximian.com>

	* configure.in : On windows, require advapi32.dll.

2007-08-23  Robert Jordan  <robertj@gmx.net>

	* configure.in: add get|setpriority detection.

Mon Aug 20 15:23:01 CEST 2007 Paolo Molaro <lupus@ximian.com>

	* configure.in: use more symbol renaming fo OSX (bug #82463).

2007-08-20  Jb Evain  <jbevain@novell.com>

	* scripts/smcs.in: use --runtime=moonlight instead of
	forcing MONO_PATH.

Mon Aug 20 12:34:36 CEST 2007 Paolo Molaro <lupus@ximian.com>

	* configure.in: check for gerusage().

Mon Jul 30 17:59:04 CEST 2007 Paolo Molaro <lupus@ximian.com>

	* configure.in: Enable sigaltstack handling check by default to get
	wider testing.

2007-07-26  Jb Evain  <jbevain@novell.com>

	* scripts/smcs.in: use smcs.exe.

2007-07-24  Wade Berrier  <wberrier@novell.com>

	* configure.in: version bump -> 1.2.5

2007-07-17  Jb Evain  <jbevain@novell.com>

	* scripts/Makefile.am: new monolinker script.

2007-07-11  Jb Evain  <jbevain@novell.com>

	* scripts/smcs.in, scripts/Makefile.am: new smcs script.

2007-07-05  Wade Berrier  <wberrier@novell.com>

	* scripts/mono-find-requires.in: add special 64bit case for ia64.
	(rpm used to provide libname as well as libname()(64bit) on ia64, but 
	now it only provides the first.)

2007-06-28  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add a check for `struct utimbuf'; needed by MonoPosixHelper.

2007-06-15  Wade Berrier  <wberrier@novell.com>

	* scripts/mono-find-requires.in: revert back to using package names
	for .config file dep scanning.  This is because noarch packages can be
	built on either 32 or 64 bit arches, depending on either a 32bit or 64bit
	library, which is wrong.

2007-06-13  Randolph Chung  <tausq@debian.org>

	* configure.in: Add hppa-linux target.
	Contributed under the X11 license (http://bugzilla.ximian.com/show_bug.cgi?id=81866).

2007-06-13  Randolph Chung  <tausq@debian.org>

	* configure.in: Add AM_PROG_AS, needed for handling assembly file
	targets.

2007-06-09  Wade Berrier  <wberrier@novell.com>

	* scripts/mono-find-requires.in: use lib name instead of package name 
	for deps found in .config files. suse's rpmlint prefers it that way.

2007-05-29  Robert Jordan  <robertj@gmx.net>

	* data/config.in: add mono_win32_compat entries.

2007-05-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (get-monolite-latest): Redirect wget output too.

2007-05-07  Wade Berrier  <wberrier@novell.com>

	* scripts/mono-find-requires.in: don't use length() on arrays;
	doesn't work on older gawk versions.  Calculate size manually instead.

2007-05-07  Raja R Harinath  <rharinath@novell.com>

	Fix parallel make.
	* runtime/Makefile.am (test-support-file): Remove.  Move rules ...
	(_tmpinst/bin/mcs, _tmpinst/bin/gmcs, _tmpinst/bin/ilasm): ... here.
	Reported by "Stephen A. Jazdzewski" <steve@jazd.com>

2007-05-05  Wade Berrier  <wberrier@novell.com>

	* scripts/mono-find-provides.in: don't use 'which' anymore (never solved
	anything since it broke symlinks)
	* scripts/mono-find-requires.in: also don't use 'which'
	Parse .config files to look for native libs.  Honor 'os' attributes for
	dllmaps.  Query rpm db for package that provides this lib.  Support 64bit
	rpm configurations, as well as 32bit running on 64bit.

2007-04-27  Marek Habersack  <mhabersack@novell.com>

	* data/net_2_0/web.config: use fully qualified assembly names in
	<compilation><assemblies>.

2007-04-19  Wade Berrier  <wberrier@novell.com>

	* configure.in: version bump -> 1.2.4

2007-04-15  Marek Habersack  <mhabersack@novell.com>

	* data/net_2_0/web.config: add the default build providers
	configuration.

2007-04-06  Andreas Faerber  <andreas.faerber@web.de>

	* configure.in: Added support for Solaris/amd64. Fixes bug #81325

2007-04-06  Marek Habersack  <mhabersack@novell.com>

	* data/net_2_0/machine.config: corrected the xhtmlConformance
	entry to reference correct type.

	* data/net_2_0/web.config: siteMap must be enabled by
	default. Fixes bug #80611

2007-04-05  Marek Habersack  <mhabersack@novell.com>

	* data/browscap.ini: updated to the latest version.
	Applied Mono-specific changes.

2007-03-28  Raja R Harinath  <rharinath@novell.com>

	* runtime/mono-wrapper.in (PATH): Include _tmpinst/bin.  Ensure
	that library invocations of 'mcs' and 'gmcs' pick the in-tree versions.
	* runtime/Makefile.am (mcs-do-run-test-profiles): Don't set PATH.
	(all-local, install-local): Depend on TEST_SUPPORT_FILES too.
	(test-support-files): Move creation of _tmpinst/bin directory ...
	($(tmpinst)/bin/mono): ... here.
	($(tmpinst)/bin/mbas, $(tmpinst)/bin/pedump): Remove.
	(test-support-file): Depend on $(tmpinst)/bin/mono.

2007-03-22  Marek Habersack  <mhabersack@novell.com>

	* data/net_2_0/machine.config: added a few missing sections, added
	missing allowDefinition and allowLocation attributes.

2007-03-16  Wade Berrier  <wberrier@novell.com>

	* configure.in: version bump -> 1.2.3.50 (RaceToLinux special release)

2007-03-16  Marek Habersack  <mhabersack@novell.com>

	* data/net_2_0/machine.config: added default profile provider
	configuration.

2007-03-15  Marek Habersack  <grendello@gmail.com>

	* runtime/Makefile.am: add browscap.ini to symlinks

	* configure.in: make sure browscap.ini is symlinked to from
	runtime/etc/ so that no web tests that depend on the file's
	presence fail.

2007-03-15  Jonathan Chambers  <joncham@gmail.com>

	* winconfig.h: Don't use MONO_XEN_OPT on windows.
	Contributed under MIT/X11 license.

2007-03-14  Marek Habersack  <mhabersack@novell.com>

	* data/net_2_0/machine.config: add two missing section handlers.

2007-03-13  Wade Berrier  <wberrier@novell.com>

	* Makefile.am:
	* msvc/Makefile.am:
	Update EXTRA_DIST to take into account .vcproj file moves

2007-03-13  Jonathan Chambers  <joncham@gmail.com>

	* mono.sln, libmono.vcproj, mono.vcproj, genmdesc.vcproj, winsetup.bat,
	mono/monodiet.vcproj, mono/pedump.vcproj: Move to msvc directory.
	
2007-03-13  Jonathan Chambers  <joncham@gmail.com>

	* libmono.vcproj, mono.vcproj, genmdesc.vcproj, mono/monodiet.vcproj,
	mono/pedump.vcproj: Fix	Release build target, add define to remove CRT warnings, 
	structure output folders a bit better, begin WIN64 port, and change 
	libmono to build a DLL instead	of a static library.
	* mono.sln: Begin x64 target support.
	
Fri Mar 9 18:57:47 CET 2007 Paolo Molaro <lupus@ximian.com>

	* Makefile.am, configure.in, msvc: add msvc directory to the
	distribution.
	* msvc/create-windef.pl, msvc/mono.def: added def file for exported
	functions.

2007-03-09  Zoltan Varga  <vargaz@gmail.com>

	* docs/aot-compiler.txt: Update 'future work'.

2007-03-07  Zoltan Varga  <vargaz@gmail.com>

	* docs/aot-compiler.txt: Add into about the PLT.
	
	* docs/aot-compiler.txt: Update a bit to reflect recent changes.

2007-02-24  Raja R Harinath  <rharinath@novell.com>

	* data/config.in (odbc32.dll) [os=osx]: Fix misplaced ".

2007-02-20  Wade Berrier  <wberrier@novell.com>

	* scripts/Makefile.am: Add api-info and api-diff wrappers

2007-02-15  Marek Habersack  <grendello@gmail.com>

	* data/net_2_0/machine.config: add default provider factories.

2007-02-01  Geoff Norton  <gnorton@customerdna.com>

        * configure.in:  Support NetBSD GC.
		
Thu Feb 1 12:29:23 CET 2007 Paolo Molaro <lupus@ximian.com>

	* configure.in: include LIBS in libmono_ldflags on all archs.
	* mint.pc.in, mono-uninstalled.pc.in, mono.pc.in: removed extra -lm.

2007-02-01  Miguel de Icaza  <miguel@novell.com>

	* configure.in: Naive attempt at getting -ldl in mono.pc

2007-01-31  Marek Habersack  <grendello@gmail.com>

	* data/net_2_0/machine.config: prepare the configuration for the
	Mainsoft.Web administrative application.

2007-01-31  Atsushi Enomoto  <atsushi@ximian.com>

	* configure.in : w32 build fix; add -lwinmm as Tor suggested.

Mon Jan 29 12:04:38 CET 2007 Paolo Molaro <lupus@ximian.com>

	* configure.in, mint.pc.in mono-uninstalled.pc.in mono.pc.in:
	put back the flag to export symbols from the binary which is
	no more provided by gmodule (thanks to Robert Jordan <robertj@gmx.net>
	for noticing).

2007-01-29  Robert Jordan  <robertj@gmx.net>

	* libmono.vcproj, winconfig.h: Reflect recent changes.

2007-01-12  Gert Driesen  <drieseng@users.sourceforge.net>

	* scripts/Makefile.am: Added 'al2'.

2007-01-11  Dick Porter  <dick@ximian.com>

	* acconfig.h: 
	* configure.in: Check for IP_DONTFRAGMENT and IP_MTU_DISCOVER.

2007-01-11  Marek Habersack  <grendello@gmail.com>

	* data/net_2_0/machine.config: Added the DbProviderFactories
	section, together with the first entry - for SQLite.

2007-01-03  Wade Berrier  <wberrier@novell.com>

	* scripts/mono-find-provides.in:
	* scripts/mono-find-requires.in: error out if monodis isn't
	functioning properly.  Otherwise when building rpms, 
	the provides/requires isn't generated correctly if monodis 
	isn't present. 

	Fixes: bnc #227362

2007-01-01  Miguel de Icaza  <miguel@novell.com>

	* configure.in (darwin.CPPFLAGS): Temporary workaround for the bug
	reported in 77324.  When we get a linker script for MacOS we can
	take this out, but for now lets keep it in here.

	* scripts/mono-service.in (debug): Add --debug, --no-daemonize and
	make sure that this works with 2.0 (wrong binary was being
	refereced).

	Fixes: #80309

Mon Dec 18 18:19:50 CET 2006 Paolo Molaro <lupus@ximian.com>

	* configure.in: fixed compiler/linker options when
	configuring under hpux/ia64 (patch from warren@warrenandrachel.com
	(Warren Smith)).

Mon Dec 18 15:28:49 CET 2006 Paolo Molaro <lupus@ximian.com>

	* configure.in: detection code for dlopen ().

Mon Dec 11 10:23:18 CET 2006 Paolo Molaro <lupus@ximian.com>

	* configure.in, mono.pc.in, */Makefile.am: istall the header
	files in a API version specific directory.

2006-12-07  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* data/browscap.ini: added msdomversion for ie6/7,
	fixed ecmascriptversion in ie6/7

2006-11-28  Marek Habersack  <grendello@gmail.com>

	* data/net_2_0/web.config: Added the imported namespaces statement
	for ASP.NET compilation.

2006-11-17  Wade Berrier  <wberrier@novell.com>

	* configure.in: version bump to 1.2.1

Thu Nov 16 12:59:50 CET 2006 Paolo Molaro <lupus@ximian.com>

	* configure.in: added --disable-mcs-build for use
	with embedded systems or other cases where we don't want
	or can't to spend time compiling the managed part of the runtime.

2006-11-02  Wade Berrier  <wberrier@novell.com>

	* configure.in: version bump to 1.2

2006-11-02 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* data/net_2_0/machine.config: defaultProxy section is no longer 
	  necessary, so remove.

2006-11-01  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add type checks for blkcnt_t, blksize_t, suseconds_t.  Some
	  versions of Mac OS X don't define these, needed by support/map.c.

2006-10-26  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add type checks for structs pollfd, stat, timeval, timezone.
	  This is so that support/map.c can use HAVE_STRUCT_... wrappers around
	  structure conversion functions, allowing them to be omitted from the Win32
	  build.

2006-10-16  Kornél Pál  <kornelpal@gmail.com>

	* libmono.vcproj: Removed unicode.h and unicode.c. Changed absolute
	  path in AdditionalLibraryDirectories to relative.

2006-10-13  Joe Shaw  <joeshaw@novell.com>

	* samples/size/size.c: Flesh this out quite a bit more so that
	its results are more accurate.
	* samples/size/sample.cs: Add a few more test cases.

2006-10-12  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Disable visibility("hidden") on cygwin as well.

2006-10-10  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Get rid of --with-nptl.

Sat Sep 30 12:11:56 CEST 2006 Paolo Molaro <lupus@ximian.com>

	* configure.in: link to libnsl only if needed.

2006-09-19  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (etc/mono/config): Fix rule to avoid writing
	into a symlink created by the 2006-09-13 change below.

2006-09-17  Zoltan Varga  <vargaz@gmail.com>

	* docs/thread-safety.txt: Moved here from mono/metadata.

2006-09-16  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Avoid non-static build warning on windows.

2006-09-16  Raja R Harinath  <rharinath@novell.com>

	Fix srcdir!=builddir issue.
	* configure.in (runtime/etc/mono/config): Remove erroneous code.
	* runtime/Makefile.am (etc/mono/config): Rename from wrapper-config.
	* runtime/mono-wrapper.in: Update.

2006-09-15  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Remove check for setkey(3).

2006-09-13  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add command to create runtime/etc/mono/config.  This is
	  needed so that programs which use the bootstrap mono build get the
	  appropriate <dllmap/> entries (in particular, the mono-shlib-cop unit
	  tests requires that a $prefix/etc/mono/config be present to run).
	* runtime/Makefile.am: Create runtime/etc/mono/config.

2006-09-11  Zoltan Varga  <vargaz@gmail.com>

	* mono.vcproj: Fix VC build.

2006-09-01  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: More alpha updates from Sergey Tikhonov <tsv@solvo.ru>.

2006-08-31  Zoltan Varga  <vargaz@freemail.hu>

	* samples/embed/test-invoke.vcproj samples/embed/teste.vcproj: Fix include paths for newer glib versions.

	* genmdesc.vcproj: Fix include paths for newer glib versions.

	* libmono.vcproj: Add further missing sources, fix include paths for newer glib versions.
	
	* libmono.vcproj: Add aot-compiler.c and aot-runtime.c as source files.

	* README.vsnet: Fix a typo.

2006-08-31  Zoltan Varga  <vargaz@gmail.com>

	* configure.in (PLATFORM_WIN32): Add -mno-cygwin to libmono_cflags/ldflags. Fixes
	#79180.

2006-08-15  Miguel de Icaza  <miguel@novell.com>

	* configure.in: Add support for an altenative version of glib.

2006-08-29 Wade Berrier <wberrier@novell.com>

	* configure.in: Add required CFLAGS for s390[x] (-mbackchain)

2006-08-23 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: check for mkstemp.

2006-08-22  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (mcs-compileall): Remove mention of Microsoft.VisualBasic.

2006-07-25 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: add check for sys/syscall.h. Remove aio_* detection as
	it has not been used for a while now.

2006-07-19  Wade Berrier <wberrier@novell.com>

	* scripts/mono-find-provides.in: Remove support for only scanning files in the gac.
	The problem is that mono apps are often broken up into subpackages, and deps can only
	be resolved if the assemblies are in the gac, even when they sometimes shouldn't be.
	(See https://bugzilla.novell.com/show_bug.cgi?id=144655)

2006-07-19  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Applied patch from Sergey Tikhonov <tsv@solvo.ru>. Beginning
	of alpha support.

2006-07-17  Wade Berrier <wberrier@novell.com>

	* scripts/mono-find-requires.in: Change rpm requires to >= 1.0.3300.0 instead of
	=, since we don't explicitly provide 1.0.3300.0 versions.

2006-07-09  Zoltan Varga  <vargaz@gmail.com>

	* docs/exception-handling.txt: Update libunwind status since it is not really
	dead.
	
	* docs/exception-handling.txt: Note the changes in the handling of SIGSEGV
	received while in native code.

2006-07-04  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add the contents of LIBS to libmono_ldflags on sol-x86 too.

2006-07-01  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add the contents of LIBS to libmono_ldflags instead on solaris.

2006-06-30  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add -lsocket -lnsl to libmono_ldflags on solaris to fix the
	mkbundle tests.

2006-06-27  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Disable --with-tls=__thread on solaris/x86.

2006-06-24  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Always pass CPPFLAGS to libgc configure.

2006-06-22  Sebastien Pouliot  <sebastien@ximian.com>

	* configure.in: Add the Makefile to create in order to run the CAS
	tests.

2006-06-14  Sebastien Pouliot  <sebastien@ximian.com>

	* README.vsnet: Make it clear that building Mono under cygwin is a
	pre-requirement to using the VS.NET solution (with the supplied
	instructions).

2006-06-01 Zac Bowling <zac@zacbowling.com>
	* configure.in, fix typo breaking build (test instead of text on last
	line)

2006-05-24  Andrew Skiba <andrews@mainsoft.com>

	* configure.in, runtime/Makefile.am: create a symlink at
	mono/runtime/etc/mono/2.0/web.config similar to machine.config
	
2006-05-24  Raja R Harinath  <rharinath@novell.com>

	* scripts/Makefile.am (scripts_1_0, scripts_2_0): Move
	nunit-console ...
	(scripts_nunit): ... here.
	(REWRITE1_DEBUG, REWRITE2_DEBUG): New defines that pass a --debug
	to the mono runtime.
	(nunit-console, nunit-console2): New targets.  Use them.

2006-05-23  Zoltan Varga  <vargaz@gmail.com>

	* libatomic_ops: Remove this, as using it didn't work out.

2006-05-23  Martin Baulig  <martin@ximian.com>

	* configure.in: Disable the debugger if we're not using the
	included gc.

2006-05-10  Atsushi Enomoto  <atsushi@ximian.com>

	* data/net_2_0/machine.config : updated webRequestModules,
	  defaultProxy and connectionManagement handlers.

2006-05-10  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Disable usage of visibility(hidden) on solaris x86.

2006-05-07  Zoltan Varga  <vargaz@gmail.com>

	* data/mono.supp: Applied patch from Matt Hargett (matt@use.net).
	Generalize path to the mono executable.

2006-05-02  Jonathan Chambers  <jonathan.chambers@ansys.com>

        * configure.in: Add oleaut32 on Win32 builds for BSTR support

2006-05-01  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/machine.config: add connectionStringName's
	parameters to the role/membership providers.

2006-04-30  Raja R Harinath  <harinath@gmail.com>

	* Makefile.am (mcs-do-clean, mcs-do-compiler-tests): Clean
	and run tests in mono/tests too.

2006-04-25  Wade Berrier <wberrier@novell.com>

	* scripts/mono-find-provides.in: Only scan files that are in the gac.
	This allows packages to contain private assemblies that won't conflict 
	with other packages. Fixes bugzilla.novell.com #144655.

2006-04-21  Alp Toker  <alp@atoker.com>

	* scripts/mono-service.in: Usage info fixes:
	Lock file was referred to as .log instead of .lock. Fixes #75724.
	$0 was in single-quoted, so not interpreted.

2006-04-13  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/machine.config: add system.data section listing the
	SqlClient provider.  Also add system.web section listing the
	membership and role providers.  This is here instead of in
	web.config because the providers are meant to be available to
	non-web applications as well.

2006-04-11  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/web.config: add the builtin expression builders.

2006-04-11  Gert Driesen  <gert.driesen@telenet.be>

	* scripts/Makefile.am (scripts_2_0): Add 'resgen2'.

2006-04-07  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/machine.config: oh, and
	system.web/anonymousIdentification.

2006-04-07  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/machine.config: add system.web/membership and
	system.web/xhtmlConformance config sections.

2006-04-04  Zoltan Varga  <vargaz@gmail.com>

        * configure.in: Add a check and a helpful error message when 'ar' is not found on solaris.

2006-04-01  Zoltan Varga  <vargaz@gmail.com>

	* data/mono.supp: Add "Use of uninitialized value of size 8" too.

2006-03-31  Massimiliano Mantione  <massi@ximian.com>

        * docs/tree-mover.txt: Added tree mover documentation.

Wed, 29 Mar 2006 20:54:05 +0200 Paolo Molaro <lupus@ximian.com>

	* configure.in, mono/Makefile.am: remove the now unused handles dir
	from the build.

2006-03-22  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/web.config: add RoleManagerModule to httpModules.

	* data/net_2_0/machine.config: add system.web/roleManager section
	handler.

2006-03-20  Zoltan Varga  <vargaz@gmail.com>

	* libmono.vcproj: Add some newly added source files.

2006-03-17  Zoltan Varga  <vargaz@gmail.com>

	* libmono.vcproj: Remove os/win32/util.h.

2006-03-09  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* Added data/net_1_1/DefaultWsdlHelpGenerator.jvm.aspx
	with removed proxy class generation for Grasshopper

2006-03-08  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/web.config: add a default siteMap section with the
	AspNetXmlSiteMapProvider provider.

	* data/net_2_0/machine.config: add system.web/siteMap section
	info.

2006-03-03  Zoltan Varga  <vargaz@gmail.com>

	* configure.in mono/os: Merge the contents of libmonoos to metadata/assembly.c and
	get rid of os/unix and os/win32.

Wed Mar 1 12:37:43 CET 2006 Paolo Molaro <lupus@ximian.com>

	* configure.in: added checks for visibility attribute,
	option to disable generics, disabled options string define.

2006-02-27  Raja R Harinath  <rharinath@novell.com>

	* configure.in (runtime/etc/mono/{1.0,2.0}/machine.config):
	Fix m4-quoting.

Sat Feb 25 11:53:30 CET 2006 Paolo Molaro <lupus@ximian.com>

	* configure.in: more feature for --enable-minimal flags.

2006-02-24 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: define PLATFORM_BSD.

2006-02-17  Zoltan Varga  <vargaz@gmail.com>

	* Makefile.am: Avoid installing mint.pc if mint is not compiled.

2006-02-07  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/Makefile.am (EXTRA_DIST): add web.config
	(mono_DATA): same.

	* data/net_2_0/machine.config: remove the system.web section from
	here.

	* data/net_2_0/web.config: and add it here.

2006-02-02  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* data/net_2_0/machine.config: Add FtpRequestCreator
	to create new instances of System.Net.FtpWebWebRequest.

2006-02-01  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* libmono.vcproj: Added new files to the VS.NET build.
	* README.vsnet: Updated VS.NET build instructions.

2006-01-26  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/machine.config: ignore runtime and startup
	sections.

2006-01-25  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/machine.config: ignore mscorlib,
	system.runtime.remoting, and strongNames sections.

2006-01-25  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/machine.config: for system.web, add default
	<authorization> section that allows everything.  also, add
	System.Configuration to system.web/compilation/assemblies.

2006-01-23  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/machine.config: add System.Configuration to the
	list of assemblies in system.web/compilation.

2006-01-23  Martin Baulig  <martin@ximian.com>

	* configure.in: Added configure check whether the Mono Debugger is
	supported on this platform; AC_DEFINE(MONO_DEBUGGER_SUPPORTED) and
	also added a `MONO_DEBUGGER_SUPPORTED' automake conditional.

2006-01-13  Raja R Harinath  <rharinath@novell.com>

	* data/net_2_0/machine.config: Fix a couple of typos in type names.

2006-01-10  Raja R Harinath  <rharinath@novell.com>

	* scripts/Makefile.am (scripts_2_0): Add nunit-console2.

2006-01-09  Chris Toshok  <toshok@ximian.com>

	* data/net_2_0/machine.config: switch over to the 2.0
	configuration sections for System.Web and System.Web.Services.
	Also, add the configProtectedData stuff so we can encrypt config
	sections.

2006-01-08  Robert Jordan  <robertj@gmx.net>

	* man/mkbundle.1: Documented environment variables and Windows issues.

2006-01-06  Jonathan Pryor  <jonpryor@vt.edu>

	* data/config.in: s/libintl/intl/g.  Mono.Unix.Catalog DllImports "intl"
	  now, as intl.dll is the file actually shipped/available on Windows.

2006-01-04  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add a CFLAGS_FOR_BUILD autoconf variable.

2006-01-03  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add check for lutimes(2).  Mac OS X doesn't provide this.

2005-12-28  Kornél Pál  <kornelpal@hotmail.com>

	* runtime/Makefile.am (all-local): Enclose CC by apostrophes to fix
	  build when CC contains spaces.

2005-12-27  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add check for <sys/mman.h>.  Fixes #77091.
	  Thanks to Ben Gamari for the patch.

2005-12-26  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add support for solaris/x86.

	* runtime/Makefile.am (all-local): Pass CC to the mcs makefile.

2005-12-21  Wade Berrier <wberrier@novell.com>

	* mono-cairo.pc.in: use $prefix/lib instead of $libdir, 
	otherwise the cairo.dll can't be found on 64 bit architectures

2005-12-18  Raja R Harinath  <harinath@gmail.com>

	* configure.in (config.make): Don't blindly copy over $INSTALL,
	since it can be relative to the mono tree.  Use the same trick as
	ac_INSTALL, but against an absolute path.

2005-12-16 Wade Berrier <wberrier@novell.com>

	* configure.in: Unset AC_DISABLE_FAST_INSTALL
	This caused some weird monodis linking errors

2005-12-12 Mike Kestner <mkestner@novell.com>

	* mono-cairo.pc.in: pkgconfig support for Mono.Cairo. Mono.Cairo.dll
	and this file can be extracted post-build to be packaged separately 
	on win32.
	* configure.in: expand mono-cairo.pc
	* Makefile.am: dist and install mono-cairo.pc

2005-12-01  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Check for setkey(3) in -lcrypt and define CRYPT_LIBS
	  accordingly.

2005-12-01 Mike Kestner <mkestner@novell.com>

	* scripts/mono-find-provides.in: support policy assemblies.

2005-11-29 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: define PLATFORM_MACOSX.

2005-11-24  Dick Porter  <dick@ximian.com>

	* configure.in: Test for GetProcessId() on windows

2005-11-21  Raja R Harinath  <rharinath@novell.com>

	* scripts/Makefile.am (bin_SCRIPTS): Move 'gmcs' to ...
	(scripts_2_0): ... here.
	(gmcs): Remove special-case rule.

2005-11-09 Michael Hutchinson <m.j.hutchinson@gmail.com>

	* data/net_1_1/machine.config, data/net_2_0/machine.config: Set 
	default values for http proxy

2005-11-07  Zoltan Varga  <vargaz@gmail.com>

	* docs/jit-regalloc: Merge forgotten documentation updates from
	the mini-xp-local-regalloc branch.

2005-10-28  Wade Berrier <wberrier@novell.com>

	* mono.pc.in, mint.pc.in, configure.in: Make these relocatable.
	* scripts: Makefile.am mono-nunit.pc.in script.in mono-service.in 
	Make all the wrappers relocatable.

2005-10-21  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add test for execinfo.h.

2005-10-20  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): New.  Make 'distcheck'
	compile with the 'monolite' in the distribution tarball.
	(compiler-tests-net_2_0): Avoid deleting
	$(mcs_topdir)/build/common/Consts.cs.

2005-10-20  Robert Jordan  <robertj@gmx.net>

	* data/net_2_0/machine.config: Added IPC channel templates.

2005-10-11  John Luke  <john.luke@gmail.com>

	* man/monop.1: update for new monop options
	
2005-10-04  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Fix up problems with the latest libtool on win32.

2005-10-04  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Remove 'Globalization:' entry from final message.

2005-09-27  Raja R Harinath  <rharinath@novell.com>

	* configure.in (BUILD_MCS): New automake conditional.  Used to
	disable building the mcs/ tree if cross-compiling.
	(CROSS_COMPILING): New automake conditional.
	($mcsdir/build/config.make): Don't clobber when cross-compiling.
	(GLIB_CFLAGS, GLIB_LIBS, GMODULE_CFLAGS, GMODULE_LIBS):
	Define even when cross-compiling.
	* runtime/Makefile.am (all-local, install, uninstall, clean-local):
	Disable building in the mcs/ tree if !BUILD_MCS.

2005-09-22  Raja R Harinath  <rharinath@novell.com>

	* configure.in (MONO_VERSION): Emit it into config.make.  Don't
	build Consts.cs.

2005-09-19  Zoltan Varga  <vargaz@gmail.com>

	* docs/exception-handling.txt: Add section about libunwind.
	
	* docs/exception-handling.txt: New file.

2005-09-16  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (all-local, install-exec, uninstall)
	(mcs-do-test-profiles, mcs-do-run-test-profiles, mcs-compileall):
	Don't call semdel-wrapper.

2005-09-06  Chris Toshok  <toshok@ximian.com>

	* data/browscap.ini: Add the ecmascriptversion/w3cdomversion
	attributes required for ASP.Net client side validation to the
	capabilities for Mozilla 1.[78], IE 5.5 & 6.0, Safari, and Firefox
	0.9 & 1.0 browsers.

2005-08-26  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add ability to cross-compile from linux to win32.

2005-08-26  Kornél Pál  <kornelpal@hotmail.com>

	* configure.in: Generating Consts.cs from Consts.cs.in instead of MonoVersion.cs.

2005-08-25  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Use CC instead of gcc for __thread tests.

2005-08-25  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Pass --enable-win32-dllmain to libgc configure. Build the runtime as a dll under windows.

2005-08-24  Zoltan Varga  <vargaz@gmail.com>

	* configure.in: Add -lunwind to ldflags on IA64.

2005-08-22  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Patch libtool to get rid of 'cyg' prefixes in library names.

2005-08-11  Zoltan Varga  <vargaz@freemail.hu>

	* libmono.vcproj: Fix VC build.

Thu Aug 4 19:55:33 BST 2005 Paolo Molaro <lupus@ximian.com>

	* configure.in: enable the ARM jit port.

2005-08-02  Zoltan Varga  <vargaz@freemail.hu>

	* acconfig.h configure.in: Applied patch from Julien Puydt (julien.puydt@laposte.net). Add check for IPV6_PKTINFO.

2005-07-19  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Fix definition of LIBC for ia64.

2005-07-12  Daniel Drake  <dsd@gentoo.org>

	* configure.in: Add check for libattr's <attr/attr.h>

2005-07-11  Raja R Harinath  <rharinath@novell.com>

	* scripts/script.in: Add @framework_version@ blank.
	* scripts/script2.in: Remove.
	* scripts/Makefile.am: Update.  Use wsdl.exe for wsdl2 and
	monop.exe for monop2.

2005-07-04  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (EXTRA_DIST): Distribute mono-uninstalled.pc.in.
	(noinst_DATA): Build mono-uninstalled.pc.
	* mono-uninstalled.pc.in (Libs): Avoid ${pc_top_builddir}.
	(Cflags): Likewise.  Let $(srcdir) to be absolute.

2005-07-03  Ben Maurer  <bmaurer@ximian.com>

	* scripts/Makefile.am (bin2_SCRIPTS): Add monop2

2005-07-01  Daniel Drake  <dsd@gentoo.org>

	* configure.in: Add check for FreeBSD's sys/extattr.h

2005-07-01  Raja R Harinath  <rharinath@novell.com>

	Avoid resource leakage on 'make clean' (see #75424).
	* configure.in (AC_CONFIG_FILES): Add runtime/semdel-wrapper.
	* runtime/semdel-wrapper.in: New.
	* runtime/Makefile.am (clean-local): Use the semdel program before
	nuking the .wapi directory.
	(noinst_SCRIPTS): Add semdel-wrapper.
	(MYDISTFILES, distdir): Use automake variable to get the list of
	files to distribute.
	(all-local, install-exec, uninstall): Call semdel-wrapper.
	(mcs-do-test-profiles, mcs-do-run-test-profiles, mcs-compileall):
	Likewise.

2005-06-27  Geoff Norton  <gnorton@customerdna.com>

	* configure.in: Add support for X86 darwin.

2005-06-22  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add support for ia64.

2005-06-20 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: enabled the use of mmap/munmap for solaris and linux.
	It seems to help with memory usage.

2005-06-15  Ben Maurer  <bmaurer@ximian.com>

	* configure.in: Another attempt at the portable "find libX11.so"
	Hopefully, this one has no code paths where we are worse off than
	what we had before any of this mess.
	
	* configure.in: What I hope is a more portable version hack.

2005-06-14  Ben Maurer  <bmaurer@ximian.com>

	* configure.in: echo the version number to
	mcs/build/common/MonoVersion.cs. This allows us to not need to
	update AssemblyInfo.cs every time we bump the version number.

	* mono-uninstalled.pc.in: pc file that handles mono when it is not
	installed. This lets us have mkbundle work inside the tree.

	* configure.in: Create the .pc file above.

2005-06-13  Jonathan Pryor <jonpryor@vt.edu>

	* man/mono-shlib-cop.1: Add man page for mono-shlib-cop program.

2005-06-13  Jonathan Pryor <jonpryor@vt.edu>

	* data/config.in: Fix generated XML.

2005-06-13  Jonathan Pryor <jonpryor@vt.edu>

	* scripts/Makefile.am: Add mono-shlib-cop.

2005-06-09  Ben Maurer  <bmaurer@ximian.com>

	* configure.in: Handle more gracefully if objdump or X isn't
	there. Warn the user about possible breakage.

2005-06-08  Ben Maurer  <bmaurer@ximian.com>

	* configure.in: read the SONAME from libX11. This is the same
	thing as will be used by a shared library, so it will really
	work.

	This will have us get libX11.so.6 rather than libX11.so.6.2.

2005-06-07 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: make automake 1.9 happy about LARGE_FILES.

2005-06-06  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add checks for mremap, remap_file_pages.

2005-06-06  Ben Maurer  <bmaurer@ximian.com>

	* mono.spec.in: Remove. This is horribly out of date. A real spec
	file is generated in the release module.

	* scripts/Makefile.am: Add mono-find-*

	* scripts/mono-find-*.in: provides/requires stuff for rpm is now
	done with monodis. This makes packaging easier as it doesn't
	depend on the gac ind DESTDIR.

	* configure.in: changes for the above

2005-05-30 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: added test for SIOCGIFCONF.

2005-05-26  Sebastien Pouliot  <sebastien@ximian.com> 
 
	* README.vsnet: Instructions about the VS.NET build.
	* mono.sln: Mono solution file for VS.NET 2005.
	* genmdesc.vcproj: Project file for genmdesc.
	* libmono.vcproj: Project file for libmono.
	* mono.vcproj: Project file for mono executable.

2005-05-25  Ben Maurer  <bmaurer@ximian.com>

	* configure.in: Do a test for libX11.so that really works :-).

2005-05-22  Ben Maurer  <bmaurer@ximian.com>

	* configure.in: Add config stuff for libsqlite{,3} and
	libX11.

	* data/config.in: Add dllmaps for above mentioned libs. This means
	that the devel packages are not needed.

2005-05-17  Zoltan Varga  <vargaz@freemail.hu>

	* man/mono.1: Document the new MONO_DEBUG options.

2005-05-16  Raja R Harinath  <rharinath@novell.com>

	* configure.in (AC_OUTPUT): Add mono/arch/ia64/Makefile.

2005-05-08  Ben Maurer  <bmaurer@ximian.com>

	* scripts/Makefile.am (bin_SCRIPTS): monoresgen.exe is not
	installed, therefore, don't make a script for it.

2005-05-05  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Applied patch from Jakub Bogusz <qboosh@pld-linux.org>.
	Fix library names on sparc-linux and alpha-linux.

2005-05-04  Zoltan Varga  <vargaz@freemail.hu>

	* runtime/Makefile.am: Pass the prefix to the mcs makefiles.

2005-04-28  James Willcox  <james@ximian.com>

	* man/mkbundle.1: add --config-dir flag

2005-04-27  Raja R Harinath  <rharinath@novell.com>

	* configure.in (AC_DISABLE_FAST_INSTALL): Set.

2005-04-25  Ben Maurer  <bmaurer@ximian.com>

	* configure.in: Version bumpage

2005-04-25  Raja R Harinath  <rharinath@novell.com>

	Fix #74692.
	* configure.in ($mcsdir/build/config.make): Point RUNTIME and
	ILDISASM to the in-tree versions of mono and monodis.  Propagate
	value of INSTALL to mcs too.
	* runtime/Makefile.am: Avoid passing RUNTIME and ILDISASM to each
	sub-make, now that 'configure' sets up the 'mcs' tree.

2005-04-23  Zoltan Varga  <vargaz@freemail.hu>

	* doc: Remove unused directory.
	
	* configure.in: Remove --with-icu option to prevent people from using
	it by mistake.

2005-04-21  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am: Update.  Pass 'monodis-wrapper' as ILDISASM
	to sub-makes.
	(mcs-compileall): Verify the fixed-up dll too.
	* runtime/monodis-wrapper.in: New file.
	* configure.in (runtime/monodis-wrapper): Create.
	($mcsdir/build/config.make): Don't be over-eager in the definition
	and evaluation of '$exec_prefix'.

2005-04-20  Rafael Teixeira <rafaelteixeirabr@hotmail.com>
	* data/net_1_1/machine.config, data/net_2_0/machine.config: 
	added ' explicit="true" strict="false" ' to system.web/compilation 
	element as in MS. Part of fix for Bug #74671
	
2005-04-19  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add check for <sys/xattr.h>.
	  Thanks to Daniel Drake <dsd@gentoo.org> for the patch.

2005-04-18  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Applied another freebsd patch from Bill Middleton (flashdict@gmail.com).

2005-04-16  Miguel de Icaza  <miguel@novell.com>

	* configure.in (PTHREAD_POINTER_ID): Patch from Jonathan Pryor to
	fix the Mono build on Solaris (bug #72818)

2005-04-16  Bill Middleton  <flashdict@gmail.com>

	* configure.in (PREVIEW): Allow --without-preview to work.
	From #74615.

2005-04-15  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Applied another freebsd patch from Bill Middleton (flashdict@gmail.com).

2005-04-14  Raja R Harinath  <rharinath@novell.com>

	* mono/Makefile.am (DIST_SUBDIRS): Add 'handles' directory.
	* configure.in (AC_OUTPUT): Add back 'mono/handles' directory.

2005-04-13  Raja R Harinath  <rharinath@novell.com>

	* configure.in (AC_OUTPUT): Remove 'mono/handles' directory.

2005-04-12 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: added checks for epoll().

2005-04-12  Geoff Norton  <gnorton@customerdna.com>

	* configure.in: Disable -O2 on PPC until #74562 is fixed.

2005-04-11  James Willcox  <james@ximian.com>

	* man/mkbundle.1: add --static option

2005-04-11  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Applied some freebsd patch from Bill Middleton <flashdict@gmail.com>.

2005-04-09  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add --with-large-heap option to enable support for
	GC heaps larger than 3GB. Hopefully fixes #73882.

2005-04-08 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: define FD_SETSIZE=1024 on windows (the default is only
	64). Re-add aio_* stuff. Shouldn't have removed it.

2005-04-07 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: no more checks for aio_*.

2005-04-05  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Fix isinf detection on solaris.

2005-04-02  Raja R Harinath  <harinath@gmail.com>

	* configure.in (pkg_config_path): Rename from PKG_PATH.  Fix build
	with pkgconfig 0.16.0.

2005-04-01  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Fix sigaltstack detection on solaris.

2005-03-27  Raja R Harinath  <harinath@gmail.com>

	* configure.in: Define mono_libdir using $(exec_prefix), seeing
	that it uses .../lib.

2005-03-26  Ben Maurer  <bmaurer@ximian.com>

	* configure.in: Use mono_libdir rather than libdir in
	config.make. This fixes confusion for amd builds in buildbuddy.

	* configure.in, */Makefile.am: fix up lib/lib64 type stuff

2005-03-24  Raja R Harinath  <rharinath@novell.com>

	* configure.in (libgdiplus): Make more intuitive.
	* runtime/Makefile.am (wrapper-config): Remove temporary file.
	Update to change.

2005-03-23  Raja R Harinath  <rharinath@novell.com>

	Allow testing of System.Drawing with a libgdiplus snapshot.
	* configure.in (libgdiplus): New --with-libgdiplus option.  Allow
	the location of libgdiplus to be overridden.
	* runtime/Makefile.am (wrapper-config): Override location of
	libgdiplus if requested.

2005-03-14  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (clean_profiles): Remove.
	(clean-local): Use $(build_profiles).
	(install-local, uninstall-local): Don't override $(prefix).
	(SUPPORT_FILES): New.  List of dependencies from ...
	(all-local): ... here.  Use it.
	(install-local): Depend on $(SUPPORT_FILES).

2005-03-02  Zoltan Varga  <vargaz@freemail.hu>

	* docs/aot-compiler.txt: Add some more documentation.

2005-02-25  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (centum_nunit_tests): Remove.  The
	functionality has been moved to mcs/Makefile.
	(test_select): Set ONLY_CENTUM_TESTS.

Thu Feb 24 15:16:18 CET 2005 Paolo Molaro <lupus@ximian.com>

	* configure.in: add a check for compiler support of the
	tls_model sttribute.

Mon Feb 21 17:14:34 CET 2005 Paolo Molaro <lupus@ximian.com>

	* configure.in: don't imply that enabling ICU support is a good
	thing to do.

2005-02-21  Michal Moskal  <malekith@pld-linux.org>
	    Raja R Harinath  <rharinath@novell.com>

	* configure.in: Emit exec_prefix and libdir into mcs/build/config.make.

2005-02-17  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (cur_dir_cmd): New.  Use cygpath to get the
	current directory in non-Cygwin form.
	(PLATFORM_PATH_SEPARATOR): New.  $(PATH_SEPARATOR) has the "wrong"
	value on cygwin. 
	(mcs-compileall): Use them.

2005-02-15  Raja R Harinath  <rharinath@novell.com>

	* scripts/Makefile.am ($(bin_SCRIPTS)): Depend on Makefile, so
	that it picks up any changes in $prefix.
	($(bin2_SCRIPTS)): Likewise.

2005-02-13  Zoltan Varga  <vargaz@freemail.hu>

	* scripts/dtd2xsd: Remove generated file from SVN.

2005-02-12  Cesar Lopez Nataren  <cnataren@novell.com>

	* scripts/Makefile.am (bin_SCRIPTS): added mjs

2005-02-12  Ben Maurer  <bmaurer@ximian.com>

	* runtime/Makefile.am (centum_nunit_tests): Add corlib! Thanks to
	nickd, miguel, et al. 

2005-02-07  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add -Wdeclaration-after-statement option to CFLAGS if
	gcc supports it to weed out pre ISO C99 code.

2005-02-07  Lluis Sanchez Gual  <lluis@novell.com>

	* data/net_1_1/DefaultWsdlHelpGenerator.aspx:
	* data/net_2_0/DefaultWsdlHelpGenerator.aspx: Don't use databinding where
	not needed.

2005-02-04  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Check for curses.h.

2005-02-04 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: define SOLARIS_CURSES when compiling for *solaris.
	* mono/metadata/console-io.c: <curses.h> is needed by term.h on solaris.

2005-02-04  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (wrapper-config): Elevated from being a test
	support file called $(tmpinst)/config.
	($(tmpinst)/bin/mono): Simplify.
	(mcs-do-compiler-tests,mcs-compileall): Update.
	* runtime/mono-wrapper.in: Use wrapper-config.
	
	* Makefile.am (DIST_SUBDIRS): Sync with $(SUBDIRS).

	* runtime/Makefile.am (verify_profiles): Remove.
	(mcs-compileall): Use $(build_profiles) directly.  It now works on
	the net_2_0 profile too.

2005-02-01  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (test-support-files): New target.
	(mcs-do-compiler-tests): Use it.
	(mcs-compileall): Likewise.  Set MONO_PATH.  Remove
	reference to #71963, since it's fixed, and it's breaking elsewhere.
	Don't exit out on the first failing DLL.
	($(tmpinst)/config): Update to changes in data/config.in.

2005-01-31  Jonathan Pryor  <jonpryor@vt.edu>

	* data/config.in: Add libraries msvcrt and MonoPosixHelper for use by
	  Mono.Posix.dll.

2005-01-31 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: check for term.h and termios.h

2005-01-30  Zoltan Varga  <vargaz@freemail.hu>

	* runtime/Makefile.am (mcs-compileall): Disable this for the 2.0
	profile because of bug #71963.

2005-01-28  Zoltan Varga  <vargaz@freemail.hu>

	* runtime/Makefile.am (mcs-compileall): New test to compile all methods
	in our assemblies.

2005-01-25  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am ($(tmpinst)/config): New test support file.
	Map 'MonoPosixHelper' to in-tree version.
	($(tmpinst)/bin/mono): Use it.
	(mcs-do-run-test-profiles): Use $(tmpinst)/bin/mono as the RUNTIME.

2005-01-20  Jonathan Pryor  <jonpryor@vt.edu>

	* runtime/Makefile.am (centum_nunit_tests): Add class/Mono.Posix and
	  class/System, both of which pass all their unit tests.

2005-01-20  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (centum_nunit_tests): New.  List of NUnit
	tests that are currently passing 100%.
	(test_select): Run those on 'make check'.

2005-01-20  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile.am : removed nsys4cygwin.zip which has been 404 for a while.

2005-01-19  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile.am (DIST_SUBDIRS): Distribute ikvm-native.

2005-01-15  Zoltan Varga  <vargaz@freemail.hu>

	* scripts/Makefile.am (bin_SCRIPTS): Remove whitespace after \.

2005-01-13  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in Makefile.am: Resurrect ikvm-jni.

	* ikvm-native: New directory which contains a copy of the 'native'
	module in IKVM cvs.

2005-01-05  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add check for <checklist.h>.

2005-01-04  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add check for vsnprintf.

2005-01-04  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (TEST_SUPPORT_FILES): Add	$(tmpinst)/bin/mono.
	($(tmpinst)/bin/mono): New.

2005-01-03  Ben Maurer  <bmaurer@ximian.com>

	* configure.in: Add mono-nunit to output
	
2005-01-03  Jonathan Pryor  <jonpryor@vt.edu>

	* Makefile.am: Change build order so that support is built before runtime.
	  This is primarily so that I don't have to wait N hours for mcs to finish
	  building to find out if I broke the sparc build (again).

2005-01-03  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add checks for getdomainname and setdomainname.

2005-01-03  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add checks for <fstab.h> and <sys/vfstab.h>.

2005-01-02  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in ikvm-jni Makefile.am: Remove ikvm-jni, since IKVM CVS
	now includes its own version.

2004-12-29  Duncan Mak  <duncan@ximian.com>

	* man/monop.1: Add docs on the new "--search" flag.

2004-12-28  Jonathan Pryor  <jonpryor@vt.edu>

	* configure.in: Add header & function checks for MonoPosixHelper.

2004-12-20  Raja R Harinath  <rharinath@novell.com>

	* configure.in: Change from 'pax' format to 'ustar' format for the
	tarfile, so that we can create packages on SuSE 9.0.

2004-12-15 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: isinf can be a macro and the test from AC_CHECK_FUNCTION
	#undefines it before testing...

2004-12-15 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: check for ieeefp.h and isinf.

2004-12-15  Raja R Harinath  <rharinath@novell.com>

	* configure.in ($mcsdir/build/config.make): Use $mcsdir relative
	to the $srcdir.  Fix definition of 'prefix'.

2004-12-14  Raja R Harinath  <rharinath@novell.com>

	* runtime/mono-wrapper.in (MONO_SHARED_DIR): Set.  Ensures that
	state isn't shared between an installed runtime and the in-tree
	runtime, and also ensure that both 'make check' and 'make
	distcheck' can run in parallel.
	* runtime/Makefile.am (clean-local): Remove the .wapi directory.

2004-12-09  Raja R Harinath  <rharinath@novell.com>

	* README: Update with details about the new build setup.

2004-12-08  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (get-monolite-latest): Update to new location of
	bootstrap files in the mcs/ tree.

2004-12-07  Raja R Harinath  <rharinath@novell.com>

	* configure.in: Set 'tar-pax' option for automake-1.9.

2004-12-07  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (uninstall): New.

2004-12-06  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Disable -Wcast-align on sparc.

Mon Dec 6 15:00:53 CET 2004 Paolo Molaro <lupus@ximian.com>

	* configure.in: add option to disable some features of
	the runtime to create a smaller binary.

2004-12-03  Raja R Harinath  <rharinath@novell.com>

	* configure.in (ENABLE_NUNIT_TESTS): New.
	* runtime/Makefile.am (check-local): Use it to disable nunit
	tests.  Ensure that the test dlls are always built, however.

2004-12-03  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (dist-hook): Ensure we use the 'default' profile.
	* mono/Makefile.am (HANDLES): New.  Disable 'handles' dir on Win32.
	(SUBDIRS): Use it.  Move 'cil' before 'metadata'.
	* runtime/Makefile.am (install-exec): Pass
	RUNTIME_HAS_CONSISTENT_GACDIR to the mcs/ build.

2004-12-01  Neale Ferguson <Neale.Ferguson@SoftwareAG-usa.com>

	* configure.in : Add a flag for systems which pass parameters in
	registers as well as the stack.

2004-11-30  Raja R Harinath  <rharinath@novell.com>

	* configure.in (AC_OUTPUT): Move runtime/Makefile to the end to
	workaround a bug in automake 1.7.x.
	* runtime/Makefile.am ($(symlinks)): Don't depend on config.status.

2004-11-27  Miguel de Icaza  <miguel@ximian.com>

	* configure.in: Removed support for configured-based bundles. 

2004-11-26  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am ($(symlinks)): Depend on config.status too.
	* configure.in (runtime/etc/mono/1.0/machine.config): Use custom
	command to create.
	(runtime/etc/mono/2.0/machine.config): Likewise.
	* Makefile.am (get-monolite-latest): Update to new style of
	handling the "basic" profile.

2004-11-25  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (all-local): Make mcs/ tree writeable if
	necessary.
	(distdir): New.  Using 'cygnus' option disables the automake rule.

2004-11-25  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (check-local): Use $(mkinstalldirs).

2004-11-24  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (AUTOMAKE_OPTIONS): Set to 'cygnus'. 
	Prevent a redundant 'make all' pass during 'make check'.
	(build_profiles): Rename from install_profiles.
	(check_profiles): New.
	(TEST_SUPPORT_FILES): Don't include 'gmcs' if we're not building
	the .NET2.0 profile.
	(all-local,check-local): Use them.
	(install,install-exec,install-data): Override automake rules to
	prevent a redundant 'make all' pass.
	
2004-11-23  Chris Toshok  <toshok@ximian.com>

	* Makefile.am (bootstrap): echo -> @echo.

2004-11-23  Raja R Harinath  <rharinath@novell.com>

	Simplify 'make all' build.
	* configure.in (mono_build_root, mono_runtime, mono_cfg_dir):
	New AC_SUBSTed variables.
	(runtime/mono-wrapper): New generated file.
	(runtime/etc/mono/1.0/machine.config, runtime/etc/mono/2.0/machine.config):
	New symlinks.
	(AC_OUTPUT): Don't mention runtime/net_1_1 and runtime/net_2_0.
	* Makefile.am (SUBDIRS): Remove '.'.
	(tmpinst): Remove.
	(get-monolite-latest): Update.
	(populate-runtime-subdirs): Remove.
	(all-local, check-local): Move rules related to building in the mcs/ tree ...
	* runtime/Makefile.am: ... here.  Completely re-write file.
	(install-exec-local): Transfer ownership of installing .exes and
	.dlls to the Makefiles in the mcs/ tree.
	(_tmpinst): Use tmpinst tree only during testing.
	(SUBDIRS): Remove.
	* runtime/mono-wrapper.in: New.  Template for generated file.
	* runtime/net_1_1/Makefile.am, runtime/net_2_0/Makefile.am: Remove.

2004-11-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (bootstrap): Add a transitional target.

2004-11-19  Raja R Harinath  <rharinath@novell.com>

	Integrate bootstrap build into 'make all'.  Most of the bootstrap
	targets are gone.
	* Makefile.am (SUBDIRS): Build current directory before 'runtime'.
	(tmpinst): Change location.
	(all-local): New.  Just invokes the build in mcs.
	(check-local): New.  Invokes 'run-test-profiles' in mcs.
	(get-monolite-latest): Update.  Move the unpacking code here,
	since 'monolite-bootstrap' is no more.
	(mcs-do-full-build): Don't set PATH.
	(tmpinst-dir-contents): Remove mcs.
	($(tmpinst)/bin/mcs): Now used only during 'make check'.
	($(tmpinst)/bin/mono): Don't set MONO_PATH.
	* README: Update to changes.

2004-11-18  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Disable static linking of mono if --disable-static is
	given. Fixes #69466.

2004-11-15  Martin Baulig  <martin@ximian.com>

	* runtime/net_2_0/Makefile.am (gac_assemblies_list): Added Mono.C5.

Fri Nov 12 17:56:26 CET 2004 Paolo Molaro <lupus@ximian.com>

	* configure.in, mono/mini/Makefile.am: control static
	linking of the mono binary with a configure option.

2004-11-12  Jonathan Pryor <jonpryor@vt.edu>

	* configure.in: Check for `struct dirent' members which don't
	  exist across all Unix platforms.

2004-11-08  Jonathan Pryor <jonpryor@vt.edu>

	* configure.in: Add new function/header/type checks for use by
	  MonoPosixHelper (the support directory).

2004-11-08  Raja R Harinath  <rharinath@novell.com>

	* configure.in (mcs_topdir, mcs_topdir_from_srcdir): New 'subst'ed
	variables.  Used to support both an in-tree mcs/ and a sibling
	mcs/ directory.
	* Makefile.am (mcs_topdir): Remove.
	(dist-hook): Distribute mcs/ as a subdirectory.
	* runtime/Makefile.am ($(monoone_DATA) $(monotwo_DATA) $(monobins_DATA)):
	Use mcs_topdir and mcs_topdir_from_srcdir.
	* runtime/net_1_1/Makefile.am (mscorlib.dll $(gac_assemblies) $(mdb_files)): 
	Likewise.
	(all-local): Depend on $(mdb_files) too.
	* runtime/net_2_0/Makefile.am: Likewise.
	
2004-11-05  Zoltan Varga  <vargaz@freemail.hu>

	* runtime/net_2_0/Makefile.am (install-data-local): 
	* runtime/net_1_1/Makefile.am (install-data-local): Applied patch
	from Götz Waschk (waschk@informatik.uni-rostock.de). Make this work 
	with DESTDIR.

2004-10-31  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Fix up --with-jit=no so it actually works. Fixes 
	#61320.

2004-10-29 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* man/mono.1: documented MONO_THREADS_PER_CPU.

2004-10-29  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add INCLUDED_LIBGC automake conditional.

2004-10-24  Jonathan Pryor <jonpryor@vt.edu>

	* man/mono.1: Add documentation for the MONO_TRACE environment variable.

2004-10-14  Joe Shaw  <joeshaw@novell.com>

	* man/mono.1: Fix the syntax of the M: trace syntax

2004-10-10  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add some checks for cygwin weirdness.

2004-10-08  Zoltan Varga  <vargaz@freemail.hu>

	* support/Makefile.am (libMonoPosixHelper_la_SOURCES): Do not build
	zlib_macros if zlib.h is not found.

	* configure.in: Add check for zlib.h.

2004-09-28  Neale Ferguson <Neale.Ferguson@SoftwareAG-usa.com>

	* mini-s390.c: Fix AND_IMM/OR_IMM/DIV_IMM/REM_IMM

2004-09-28  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am ($(tmpinst)/bin/pedump): New.
	(mcs-do-run-test-profiles): Depend on it.

2004-09-27  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (mono-do-testjit): New target, unused for now.  Runs
	the mono testsuite in tests/.
	(tmpinst-dir): Create etc/mono/2.0.
	($(tmpinst)/bin/ilasm, $(tmpinst)/etc/mono/2.0/machine.config): New.

2004-09-21 Neale Ferguson <Neale.Ferguson@SoftwareAG-usa.com>

	* configure.in: Cater for S/390 on Linux

2004-09-21    <vargaz@freemail.hu>

	* configure.in: Link with ole32 on windows.

2004-09-20  Jackson Harper  <jackson@ximian.com>

	* support/map.c/h: Add poll events map functions. Use values
	instead of names for defines.
	
2004-09-17  Martin Baulig  <martin@ximian.com>

	* Makefile.am (mcs-do-compiler-tests): Reverted Raja's latest
	change in this target.

2004-09-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (mcs-do-full-build): Pass NO_SIGN_ASSEMBLIES=yes to
	reduce the number of passes.  We will get the assemblies signed in
	the 'populate-runtime-subdir' phase.
	(mcs-do-run-test-profiles): Rename from mcs-do-run-tests.  Use
	'test-profiles' to test all profiles.
	(mcs-do-compiler-tests): Use 'compiler-tests' target in mcs/.
	(bootstrap-check): Update.
	* runtime/Makefile.am ($(monoone_DATA) $(monotwo_DATA) $(monobins_DATA)): 
	Simplify.

2004-09-10  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile.am (populate-runtime-subdir): Avoid -path argument to find
	since it is not supported on solaris.

2004-09-03  Martin Baulig  <martin@ximian.com>

	* Makefile.am (bootstrap-world): New target.

2004-09-02  Martin Baulig  <martin@ximian.com>

	* runtime/net_1_1/Makefile.am (install-data-local): Install
	mscorlib.dll.mdb into $(corlibdir).

	* runtime/net_2_0/Makefile.am: Likewise.

2004-08-30  Zoltan Varga  <vargaz@freemail.hu>

	* scripts/mcs.in: Remove obsolete comment.

2004-08-27  Lluis Sanchez Gual  <lluis@novell.com>

	* data/net_1_1/DefaultWsdlHelpGenerator.aspx: Little fix.
	* data/net_2_0/DefaultWsdlHelpGenerator.aspx: Added information about
	  basic profile compliance.
	* data/net_2_0/machine.config: Use 2.0 assembly versions.

2004-08-26  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (mcs-do-run-test): Depend on '$(tmpinst)/bin/mbas'.
	($(tmpinst)/bin/mbas): Create temporary wrapper file, so that the
	testcases pick the built 'mbas.exe'.

2004-08-17  Zoltan Varga  <vargaz@freemail.hu>

	* mono/os/gc_wrapper.h: Only use thread local alloc if using the included libgc, since the
	stock one has broken headers.

	* configure.in (PLATFORM_WIN32): Make the included libgc the default on windows.

2004-08-17  Dick Porter  <dick@ximian.com>

	* configure.in: Correct intl library for FreeBSD and OpenBSD.
	Fixes bug 62884, patch by Tom McLaughlin (tmclaugh@sdf.lonestar.org).

2004-08-16  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Set new automake variable LIBGC_STATIC_LIBS.

2004-08-14  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in (HAVE_KW_THREAD): Pass USE_COMPILER_TLS to libgc if
	__thread works.

2004-08-11  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Fix __thread test.

2004-08-07  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add proper checks for the 'undefined reference to '__tls_get_addr' problem.

2004-08-06  Geoff Norton  <gnorton@customerdna.com>

	* configure.in: Add a kqueue check

2004-08-03  Neale Ferguson <Neale.Ferguson@SoftwareAG-usa.com>

	* configure.in: Enable S/390 64-bit JIT.

2004-07-31  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Enable AMD64 JIT.

2004-07-30  Martin Baulig  <martin@ximian.com>

	* Makefile.am: The symbol writer is now called
	Mono.CompilerServices.SymbolWriter.dll.	

2004-07-30  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (monoone_DATA): Add mcs.exe.config.
	(gmcs_exe): Add gmcs.exe.config.
	($(monoone_DATA) $(monotwo_DATA) ...): Add location of the .config
	files too.

2004-07-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Copy machine.config in the correct _tmpinst subdirectory.

2004-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* configure.in: Added data/net_1_1 and data/net_2_0 to the build.
	* data/Makefile.am: Removed installation of machine.config and
	  DefaultWsdlHelpGenerator.aspx. Those now are in a version-specific
	  directory.
	* data/net_1_1/Makefile.am, data/net_2_0/Makefile.am: new makefiles for
	  installing 1.1 and 2.0 makefiles.
	* runtime/net_1_1/Makefile.am, runtime/net_2_0/Makefile.am: Install mscorlib
	  at the correct version specific directory.

2004-07-27  John Merryweather Cooper <john_m_cooper@yahoo.com>
	* configure.in: Disable __thread test (TLS) for FreeBSD as
	it succeeds on FreeBSD 5.x when it should fail.  Fix pthread
	library detection for FreeBSD 4.x since pthread is embedded
	in libc_r on this platform.  Fix some typos in my host
	regexes for freebsd.

2004-07-23  Dick Porter  <dick@ximian.com>

	* configure.in: Changes for FreeBSD thread support by John
	Merryweather Cooper <john_m_cooper@yahoo.com>.

2004-07-15  Jackson Harper  <jackson@ximian.com>

	* man/gacutil.1: MONO_GAC_PREFIX not MONO_GAC_PATH
	
2004-07-12  Massimiliano Mantione  <massi@ximian.com>

	* docs/abc-removal.txt: Updated documentation for ABC removal.

2004-07-12  Massimiliano Mantione  <massi@ximian.com>

	* mono/mini/abcremoval.c: Rewritten most of ABC removal.
	* mono/mini/abcremoval.h: Rewritten most of ABC removal.
	* mono/mini/build_relations_propagation_table.pl: Deleted (unneeded after the rewrite).
	* mono/mini/propagated_relations_table.def: Deleted (unneeded after the rewrite).

2004-07-03  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add --with-tls option to replace the misnamed 
	--with-nptl option.

2004-07-02  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (mcs-do-basic-build, mcs-do-short-build):
	Pass NO_SIGN_ASSEMBLY=yes to sub-make.
	($(tmpinst)/bin/mono) [PLATFORM_WIN32]: Make it work.

2004-07-02  Zoltan Varga  <vargaz@freemail.hu>

	* man/mono.1: Added 'aot' to trace options.

2004-06-30  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Fix trunc check + add SPARC64 defines.

2004-06-29  Jackson Harper  <jackson@ximian.com>

	* man/gacutil.1: Update man with new command line options.
	
2004-06-29  Raja R Harinath  <rharinath@novell.com>
            Atsushi Enomoto  <atsushi@ximian.com>

	* runtime/net_1_1/Makefile.am (GAC_ROOT_DIR): Renamed from GAC_DIR.
	(GAC_DIR): New define that doesn't include $(DESTDIR).
	(install-data-local,uninstall-local): Use them.  Use in-tree mono
	runtime, not the installed one.

2004-06-29  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (gmcs_exe): New.  Set only if not W32.
	(monotwo_DATA): Use it.
	From Atsushi Enomoto.

2004-06-24  Raja R Harinath  <rharinath@novell.com>

	* runtime/net_2_0/Makefile.am (gac_assemblies_list): Put back
	ICSharpCode.SharpZipLib, not that it has a different version.

2004-06-24  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (MCS_DIRS, MCS_FILES): Add back Mono.CSharp.Debugger.
	(tmpinst-dir-contents, $(tmpinst)/bin/mono.bat): Remove mono.bat
	in W32.  Use 'mono' and 'mcs' in W32 too.
	(bootstrap) [PLATFORM_WIN32]: Back to single stage bootstrap.
	* runtime/net_2_0/Makefile.am (gac_assemblies_list): Don't mention
	nunit.*, IBM.Data.DB2, ICSharpCode.SharpZipLib.
	Fix for #60443, the GAC .DLL-Hell.

2004-06-22  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (bootstrap) [PLATFORM_WIN32]: Make two-stage.

2004-06-18  Jackson Harper  <jackson@ximian.com>

	* man/mono.1: Add MONO_LOG_LEVEL and MONO_LOG_MASK. Add
	instructions on setting multiple mask values.
		
Fri Jun 18 19:39:09 CEST 2004 Paolo Molaro <lupus@ximian.com>

	* Makefile.am: process data before runtime, so the config file is
	installed and gacutil has a chance to work (finding symlink).

2004-06-18  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am ($(monoone_DATA) $(monotwo_DATA) $(monobins_DATA)): 
	Test if files exist in the mcs/ tree before creating symlinks.
	Remove symlinks before creating them again.
	* runtime/net_1_1/Makefile.am (mscorlib.dll $(gac_assemblies)): Likewise.
	* runtime/net_2_0/Makefile.am (mscorlib.dll $(gac_assemblies)): Likewise.

2004-06-18  Raja R Harinath  <rharinath@novell.com>

	* scripts/Makefile.am (REWRITE): New.  Common rewriting 'sed' command.
	(bin_SCRIPTS): Unify all the script generating rules into one.

2004-06-16  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (bootstrap) [PLATFORM_WIN32]: Open code.  Don't
	build and populate net_2_0 profile.
	(populate-runtime-subdir): Make into subroutine that takes list of
	profiles to populate.
	(faststrap): Update.
	(MCS_DIRS, MCS_FILES, MONO_CSHARP_DEBUGGER_DIR,	MONO_CSHARP_DEBUGGER_FILE): 
	Avoid automake conditional/+= problems.
	(populate-runtime-subdir): Rewrite sanity check.

2004-06-16  Raja R Harinath  <rharinath@novell.com>

	Include prototype completely-untested 'make bootstrap' support for W32.
	* Makefile.am (bootstrap): Define to fasterstrap for W32.
	(MCS_DIRS, MCS_FILES): Don't refer to Mono.CSharp.Debugger in W32.
	(tmpinst-dir): Change sub-make invoke to ...
	(tmpinst-dir-contents): ... this.  Build 'mono.bat' in W32 instead
	of 'mono' and 'mcs'.
	($(tmpinst)/bin/mono.bat): New.

2004-06-15  Dick Porter  <dick@ximian.com>

	* configure.in: Check for struct ip_mreqn and struct ip_mreq on
	windows too.  Fixes bug 55040.

Mon Jun 14 18:38:34 CEST 2004 Paolo Molaro <lupus@ximian.com>

	* configure.in: better explain that --with-nptl is not related to
	NPTL, but to __thread support. Set sigaltstack support to off by
	default.

2004-06-12  Raja R Harinath  <harinath@acm.org>

	* Makefile.am (populate-runtime-subdir): Add _tmpinst directory
	to the PATH.

2004-06-11  Jackson Harper  <jackson@ximian.com>

	* runtime/net_2_0/Makefile.am:
	* runtime/net_1_1/Makefile.am: Remove signing patches
	
2004-06-11  Jackson Harper  <jackson@ximian.com>

	* man/mono.1: Add documentation for MONO_GAC_PREFIX.
	* runtime/net_2_0/Makefile.am: 
	* runtime/net_1_1/Makefile.am: Sign assemblies before
	installing. Do not sign ziplib, npgsql, or nunit assemblies. Sign mscorlib.
	
2004-06-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (populate-runtime-subdir): New target.  Does a
	controlled "make install" in the 'mcs/' directory to populate the
	'runtime' directory.
	(fasterstrap): Use it.

2004-06-10  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am ($(monoone_DATA),$(monotwo_DATA),$(monobins_DATA)):
	Don't copy from prefix.  Use $(LN_S) to point to the mcs/ tree.
	* runtime/net_1_1/Makefile.am (mscorlib.dll,$(gac_assemblies)): 
	Use $(LN_S) to point to the mcs/ tree, rather than copying.
	* runtime/net_2_0/Makefile.am (mscorlib.dll,$(gac_assemblies)): Likewise.

2004-06-10  Raja R Harinath  <rharinath@novell.com>	

	Support the new assembly signing setup in mcs/.
	* Makefile.am (mcs-do-basic-build): Pass 'USE_BOOT_COMPILE' to sub-makes.
	($(tmpinst)/etc/mono/machine.config): New target.
	(tmpinst-dir.stamp): Remove and rewrite into ...
	($(tmpinst)/bin/mcs): ... this and ...
	($(tmpinst)/bin/mono): ... this.  Update to use the in-tree machine.config.
	(tmpinst-dir): Rewrite to invoke above $(tmpinst)/... targets directly.
	* configure.in (AC_PROG_LN_S): New check to define $(LN_S).
	
Thu Jun 3 14:39:17 CEST 2004 Paolo Molaro <lupus@ximian.com>

	* configure.in: libc setting for NetBSD (patch from recht@netbsd.org).

2004-06-01  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (bootstrap,faststrap,fasterstrap): Refactor.
	Fix 'faststrap' to be corlib-version-change-safe.
	(one-stage-strap,two-stage-strap,three-stage-strap): Remove.
	(monolite-bootstrap): Update.

2004-05-31  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: fixlets for windows.

2004-05-29  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: export CC instead of passing it to libgc/configure.

2004-05-28  Duncan Mak  <duncan@ximian.com>

	* runtime/Makefile.am: 
	* scripts/Makefile.am: Include mono-find-provides and
	mono-find-requires.
	
	* scripts/mono-find-provides.in:
	* scripts/mono-find-requires.in: New wrapper scripts.

2004-05-27  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Pass CC to libgc configure.

2004-05-27  Gert Driesen (drieseng@users.sourceforge.net)

	* monowiz.win32.nsi: normalized line-endings to unix (LF)

2004-05-27  Gert Driesen (drieseng@users.sourceforge.net)

	* monowiz.win32.nsi: do not include mono subdirectory in
	MonoConfigDir registry key, to match batch files

2004-05-26  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* data/DefaultWsdlHelpGenerator.aspx: fixed querystring attribute
	values. Now they are URlEncoded.

	* data/browscap.ini.gz: updated.

2004-05-26  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (mcs-do-basic-build): No need to set MCS here.
	* runtime/net_1_1/Makefile.am (gac_assemblies_list): Update to
	reflect new names for nunit.util and nunit.framework.  Add
	nunit.core.
	* runtime/net_2_0/Makefile.am (gac_assemblies_list): Likewise.

2004-05-25 Ben Maurer  <bmaurer@users.sourceforge.net>

	* config.h.in: remove

2004-05-25 18:30 CET Patrik Torstensson <totte@hiddenpeaks.com>

	* configure.in: Check for trunc instead of truncl (HAVE_TRUNC)

2004-05-21  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile.am:
	* monowiz.win32.nsi: improved windows installer script.

2004-05-21  Raja R Harinath  <rharinath@novell.com>

	* README: Update to include instructions for the various new
	bootstrap-like targets.

2004-05-20  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (get-monolite-latest, monolite-bootstrap):
	New bootstrap targets to build from monolite.
	Based on idea from Jaroslaw Kowalski <jaak@zd.com.pl>.

2004-05-20  Raja R Harinath  <rharinath@novell.com>

	* configure.in (AC_OUTPUT): Add tools/Makefile and
	tools/locale-builder/Makefile.
	* Makefile.am (SUBDIRS): Remove tools.
	(DIST_SUBDIRS): Add 'tools'.
	(bootstrap): Rewrite so that we get two new targets.
	(faststrap): New two-stage build.
	(fasterstrap): New one-stage build.

2004-05-19  Jackson Harper  <jackson@ximain.com>

	* tools/
	* tools/Makefile.am: Add tools directory
	* tools/locale-builder: Add the locale-builder tool, this tool is
	not built by default as it is only needed by people that wish to
	moidify culture data.
	* Makefile.am: Add tools to build
	
Wed May 19 13:22:19 EDT 2004 Paolo Molaro <lupus@ximian.com>

	* configure.in: make MacOSX default to use the included libgc.

2004-05-18  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Get rid of -DMONO_USE_EXC_TABLES.

2004-05-19  Raja R Harinath  <rharinath@novell.com>

	* configure.in: Use proper autoconf idiom to pass additional
	arguments to libgc/configure.
	(PLATFORM_WIN32, NEED_LINK_UNLINK): Use three-argument AC_DEFINE.
	* acconfig.h: Update to reflect changes.

2004-05-17  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (tmpinst-dir): Creates _tmpinst tree if
	necessary. Move body ...
	(tmpinst-dir.stamp): ... here.
	(stage3): Don't remove _tmpinst tree.
	(bootstrap-clean, bootstrap-check): New rules.  They run the
	corresponding rules in the mcs/ tree.

2004-05-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am: Revert unlogged unexplained changes.
	(stage3): Make 'all-profiles' since the mono source tarball
	carries all the net_2_0 preview dlls.

2004-05-11  Jackson Harper  <jackson@ximian.com>

	* runtime/net_1_1/Makefile.am:
	* runtime/net_2_0/Makefile.am: cscompmgd.dll is lowercase now.
	
2004-05-10  Raja R Harinath  <rharinath@novell.com>

	* Makefile.am (tmpinst-dir): Always add $tmpinst/lib to MONO_PATH.
	Fix quoting of commands.

2004-05-08  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* monowiz.win32.nsi: some changes i made to build the 0.91 win32 setup
	file.

2004-05-07  Bernie Solomon  <bernard@ugsolutions.com>

	* man/mono.1: mention MONO_EGD_SOCKET

2004-05-07  Raja R Harinath  <rharinath@novell.com>

	Goodbye 'fullbuild', hello 'bootstrap'.
	* Makefile.am (bootstrap): New target for building from CVS.  New
	improved version of 'fullbuild' -- does not install any files.
	(fullbuild): Obsolete target.  Bootstraps and installs tree.
	(mcs-tree-safe-build,xinstall-runtime,mcs-rest,remove-binaries):
	Removed.
	(stage1,stage1-mcs,stage1-mono,stage2,stage3)
	(tmpinst-dir,tmpinst-runtime): New targets used to implement a
	two-stage bootstrap.

2004-05-05  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: scandir check is no longer needed.

2004-05-05  Bernie Solomon  <bernard@ugsolutions.com>

	* configure.in: set LIBC on HPUX

2004-05-05  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Detect JNI headers in GNU classpath sources as well.

2004-05-05  Raja R Harinath  <rharinath@novell.com>

	* runtime/net_2_0/Makefile.am (install-data-local, uninstall-local): 
	Only disable this if INSTALL_2_0 is disabled.

2004-05-05  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* data/DefaultWsdlHelpGenerator.aspx: add any cookie in the request to
	the request we do for the actual web service.

2004-05-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: check for SIGEV_THREAD being defined before checking
	for AIO support. Fixes compilation under FreeBSD.

2004-05-04  Raja R Harinath  <rharinath@novell.com>

	* runtime/net_1_1/Makefile.am (mono_runtime): Use USE_JIT, not
	JIT_SUPPORTED.
	(install-data-local, uninstall-data-local): Run runtime with
	libtool.
	* runtime/net_2_0/Makefile.am: Likewise.
	Report from Urs C Muff <umuff@quark.com>.

2004-05-03  Jackson Harper  <jackson@ximian.com>

	* man/gacutil.1: Basic man page for gacutil. This doesn't include
	the new non-standard options yet.
	
2004-05-03  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* data/machine.config: added version and publickeytoken.

2004-05-01  Duncan Mak  <duncan@ximian.com>

	* runtime/net_1_1/Makefile.am:
	* runtime/net_2_0/Makefile.am (gac_assemblies_list): Add NUnit
	dlls here.
	(non_gac_assemblies): Removed, every thing is migrated over to gac_assemblies.
	(EXTRA_DIST): Include only gac_assemblies.
	(dist_assemblies_DATA): It's referring to $(non_gac_assemblies)
	and that is no gone now. So remove as well.
	($(non_gac_assemblies)): Bye bye.

2004-05-01  Duncan Mak  <duncan@ximian.com>
	
	* runtime/net_1_1/Makefile.am (gac_assemblies_list): Add
	System.Web.Services. Someone accidentally took the line out.

2004-04-30  Jackson Harper  <jackson@ximian.com>

	* runtime/net_1_1/Makefile.am:
	* runtime/net_2_0/Makefile.am: These assemblies are signed now.
	
2004-04-30  Raja R Harinath  <rharinath@novell.com>

	* runtime/net_1_1/Makefile.am (gac_assemblies_list): Remove .dll
	suffix.
	(gac_assemblies, non_gac_assemblies, corlibdir, dist_corlib_DATA): 
	New variables.  Use Automake idioms.
	(dist-hook): Remove.
	(install-local, uninstall-local): Use mscorlib.dll from current
	tree when running gacutil.
	(mono_runtime): New variable.  Points to either JIT compiler or
	interpreter.  
	Report from Bernie Solomon <bernard@ugsolutions.com>
	* runtime/net_2_0/Makefile.am: Likewise.
	* runtime/Makefile.am (dist_monobins_DATA): Rename from
	monobins_DATA.
	(EXTRA_DIST): Remove.
	* Makefile.am (fullbuild): Update to changes.

2004-04-30  Jackson Harper  <jackson@ximian.com>

	* runtime/net_2_0/Makefile.am:
	* runtime/net_1_1/Makefile.am: /lib/mono/gac. Dont forget the mono.
	
2004-04-30  Duncan Mak  <duncan@ximian.com>

	* runtime/Makefile.am ($(monobins_DATA)): Add sn.exe and sn.
	
2004-04-29  Duncan Mak  <duncan@ximian.com>

	* scripts/gmcs.in: New file.

	* scripts/Makefile.am (EXTRA_DIST, bin_SCRIPTS, CLEANFILES): Add
	gmcs script.

2004-04-29  Jackson Harper  <jackson@ximian.com>

	* runtime/net_2_0/Makefile.am: install 2.0 corlib to its own
	special little place.
	
2004-04-29  Zoltan Varga  <vargaz@freemail.hu>

	* acconfig.h configure.in: Add check for scandir.

2004-04-29  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am (monobins_DATA): Add gacutil.exe.
	(SUBDIRS): Build here before building subdirs.
	* runtime/net_1_1/Makefile.am (all-local): Copy
	$(gac_assemblies_list) here.
	(install-data-local): Install dll from $(srcdir).
	(gacutil): Pick from current tree.
	* runtime/net_2_0/Makefile.am: Likewise.

	* Makefile.am (fullbuild): Update to changes in tree layout.
	* runtime/net_1_1/Makefile.am (install-data-local): Allow empty
	$(gac_assemblies_list).
	($(gac_assemblies_list)): Pick libraries from 'class/lib/default',
	not 'class/lib/net_1_1'.

2004-04-28  Jackson Harper  <jackson@ximian.com>

	* runtime/net_1_1/Makefile.am: Grab libs from proper directory, do
	not assume gacutil is installed.
	* runtime/net_2_0/Makefile.am: Do not assume gacutil is installed.
	
2004-04-28  Jackson Harper  <jackson@ximian.com>

	* configure.in: Add new Makefile.amS
	* runtime/Makefile.am: libs are now in profile dependant
	directories.
	* runtime/net_1_1/Makefile.am: Install and Uninstall the .net 1.1
	libs to the GAC.
	* runtime/net_2_0/Makefile.am: Install and Uninstall the .net 2.0
	libs to the GAC.
	* data/Makefile.am: cleanup browscap.ini
	
2004-04-28  Bernie Solomon  <bernard@ugsolutions.com>

	* configure.in: reword message re EGD support
	now it is there

2004-04-28  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* config.h.in:
	* configure.in: added check for sys/aio.h. Also check the field name
	in 'union sigval'.

2004-04-28  Jackson Harper  <jackson@ximian.com>

	* scripts/Makefile.am:
	* scripts/gacutil.in: Add a gacutil script

2004-04-26  Jackson Harper  <jackson@ximian.com>

	* Makefile.am: Grab libraries from lib/default now.
	* runtime/Makefile.am: Grab libraries from lib/default now.
	
2004-04-26  Bernie Solomon  <bernard@ugsolutions.com>

	* configure.in: move setting of NO_VERSION_SCRIPT
	until after checking for GNU ld

2004-04-22  Urs C Muff <umuff@quark.com>

	move .net assemblies from $prefix/bin/*.exe to $prefix/lib/*.exe on
	windows/cygwin refactor .nsi to simply maintenance on script/batch
	generation
	* runtime/Makefile.am
	* script/Makefile.am
	* monowiz.win32.nsi

2004-04-14  Raja R Harinath  <rharinath@novell.com>

	* runtime/Makefile.am ($(assemblies_DATA)): Copy file into
	$(srcdir).  Clean up output.
	($(monobins_DATA)): Likewise.

	* Makefile.am (mcs-tree-safe-build): Fix typo.

2004-04-13  Sebastien Pouliot  <sebastien@ximian.com>

	* configure.in: Added rules to check for getgrgid_r, getgrnam_r,
	getpwnam_r, getpwuid_r, getresuid and setresuid.

2004-04-13  Raja R Harinath  <rharinath@novell.com>

	Allow 'make fullbuild' to work on non-srcdir build.
	* Makefile.am (mcs_topdir): New variable.
	(mcs-tree-safe-build,mcs-rest,remove-binaries): Work in non-srcdir
	build.
	(xinstall-runtime): Likewise.  Use $(libgc_dir) directly, don't
	grep for 'libgc'.
	(fullbuild): Make ordering dependencies explicit.
	
2004-04-12  Sachin Kumar <skumar1@novell.com>

	* Makefile.am: Added 'web' in SUBDIRS

2004-04-07  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: don't try-run the tests for nptl and/or sigaltstack
	if they are disabled in the command line.

2004-04-05  Jackson Harper  <jackson@ximian.com>

	* man/ilasm.1: Show /output instead of /out as the switch for
	specifying output file names.

2004-04-05  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Check for pthread_getattr_np and pthread_attr_get_np.

2004-04-02  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* config.h.in: added HAVE_GETPWUID_R
	* configure.in: check for getpwuid_r.

2004-03-23  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Fix GNU ld check.

2004-03-22  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Use amd64 instead of x86-64 as directory name. Fixes
	#55840.
	
	* configure.in: Disable -version-script if not using GNU ld. Fixes
	#55910.

	* configure.in: Speedup successful sigaltstack test.


	* configure.in: don't try-run the tests for nptl and/or sigaltstack
	if they are disabled in the command line.

2004-04-05  Jackson Harper  <jackson@ximian.com>

	* man/ilasm.1: Show /output instead of /out as the switch for
	specifying output file names.

2004-04-05  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Check for pthread_getattr_np and pthread_attr_get_np.

2004-04-02  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* config.h.in: added HAVE_GETPWUID_R
	* configure.in: check for getpwuid_r.

2004-03-23  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Fix GNU ld check.

2004-03-22  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Use amd64 instead of x86-64 as directory name. Fixes
	#55840.
	
	* configure.in: Disable -version-script if not using GNU ld. Fixes
	#55910.

	* configure.in: Speedup successful sigaltstack test.

2004-03-21  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: this test for sigaltstack works.

2004-03-20  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Disable sigaltstack test for now since it can hang.
	
	* configure.in: Add test for working sigaltstack.
2004-03-16  Duncan Mak  <duncan@ximian.com>

	* runtime/Makefile.am
	(MakeCert.exe, cert2spc.exe, certmgr.exe, setreg.exe):
	Remember to install them to mono/runtime.

2004-03-14  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Enable JIT on sparc.

2004-03-13  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* data/config.in: Changed libgtkhtml-3.0.so.2 to libgtkhtml-3.0.so to fix
	breakage with gtkhtml-3.0.10

2004-03-10  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in acconfig.h: Add a --with-sigaltstack option for platforms
	where the sigaltstack based exception handling does not work.

2004-03-08  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in acconfig.h: Add check for aintl function, which is the
	solaris equivalent of truncl.

2004-02-29  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add check for GC_enable.
	
	* configure.in: Remove amd64/Makefile from AC_OUTPUT to fix build.

2004-02-19  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add proper support for --with-nptl for people who
	have linking problems when it is enabled.

2004-02-18  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add test for __thread keyword and shared libs.

2004-02-16  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Enable --with-nptl by default.

2004-02-03  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Applied patch from Adrian Bunk (bunk@fs.tum.de). Fix
	message for failed gethostbyname2_r check.

Fri Jan 23 16:07:05 EST 2004 Paolo Molaro <lupus@ximian.com>

	* configure.in, acconfig.h: check for truncl. Disable 
	version script on MacOSX (see bug #51590 if a check becomes
	necessary).

Fri Jan 23 21:26:01 CET 2004 Paolo Molaro <lupus@ximian.com>

	* configure.in, acconfig.h: added check for socklen_t.

2004-01-22  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile.am: Do not install mono.pc on platforms without a JIT.

2004-01-21  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile.am (remove-binaries): Get rid of non-portable >& construct.

2003-12-29  Miguel de Icaza  <miguel@ximian.com>

	* scripts/sn.in: Add sn script.

2004-01-15  Zoltan Varga  <vargaz@freemail.hu>

	* scripts/Makefile.am: Add al.exe.

	* scripts/al.in: New file.

	* runtime/Makefile.am: Add al.exe.

2004-01-10  Jackson Harper <jackson@ximian.com>

	* data/machine.config: Add trace handler (Trace.axd) add trace
	configuration handlers.
	
2004-01-06  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* doc/books: Added books on Web Services and ASP.NET

2004-01-04  Daniel Morgan <danielmorgan@verizon.net>

	* monowiz.win32.nsi: update the NSIS installer script for windows
	  to support NSIS 2.0 rc1 and Mono 0.29

2003-12-22  Bernie Solomon  <bernard@ugsolutions.com>

	* configure.in: missed in my last change

	* samples/embed/testi.c: interpreter embedding example

	* docs/embedded-api: add info on interpreter embedding

Mon Dec 22 18:27:14 CET 2003 Paolo Molaro <lupus@ximian.com>

	* configure.in, acconfig.h: use mach semaphores on darwin.

2003-12-22  Bernie Solomon  <bernard@ugsolutions.com>

	* Makefile.am: Create mint.pc
	mint.pc.in: Added for embedding the interpreter

2003-12-16  Martin Baulig  <martin@ximian.com>

	* Makefile.am: In a Makefile.am, comments are started with `#' and
	not with `dnl' - I must have been an idiot ...

2003-12-10  Todd Berman <tberman@gentoo.org>

	* configure.in: adding libicu url to the ICU: no message.

2003-12-05  John Luke  <jluke@cfl.rr.com>

	* data/config.in: new dll mapping entry for libgstreamer
	
2003-12-02  Atsushi Enomoto <ginga@kit.hi-ho.ne.jp>

	* README: tiny fix ;-)

2003-11-26  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Add -fno-strict-aliasing to CFLAGS.
	
	* configure.in: Applied patch from recht@netbsd.org. Avoid linking in
	librt if not neccesary.

2003-11-24  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Fix signbit check. Fixes #51315.

2003-11-20  Jackson Harper <jackson@ximian.com>

	* data/machine.config: Add OutputCacheModule
	
2003-11-19  Jackson Harper <jackson@ximian.com>

	* doc/web/team.xml: New email address and job description
	* doc/web/team/jackson.png: Picture of me debugging...seems appropriate
	
2003-11-14  Jackson Harper <jackson@ximian.com>

	* Makefile.am: delete mscorlib.dll
	
2003-11-12 Jackson Harper <jackson@ximian.com>

	* Makefile.am: corlib is now named mscorlib.dll
	
2003-11-12  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in acconfig.h: Add check for signbit, which is missing in
	FreeBSD 4.x.

2003-11-07  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Remove debugging junk accidently checked in.
	
	* configure.in: Add new --with-nptl option to enable NPTL only
	features since auto-detection is not reliable.

	* autogen.sh: Fix previous patch and silence noisy GNU which.	

2003-11-07  Bernie Solomon  <bernard@ugsolutions.com>

	* autogen.sh: tweak glibtool check so it works
	if which doesn't set return code properly

2003-11-07  Zoltan Varga  <vargaz@freemail.hu>

	* autogen.sh: Silence noisy GNU which.
	
	* autogen.sh: Applied patch from Peter Teichman (peter@ximian.com). 
	Use 'glibtool' instead of 'libtool' on OSX. 

2003-11-06  Zoltan Varga  <zovarga@ws-zovarga2>

	* mono/benchmark/pinvoke.cs: New benchmark for testing the performance
	of the managed/unmanaged boundary.

2003-11-06  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in acconfig.h: Add check for __thread keyword in gcc.

2003-10-29  Dick Porter  <dick@ximian.com>

	* man/mono.1: Document MONO_EXTERNAL_ENCODINGS variable

2003-10-16  Miguel de Icaza  <miguel@ximian.com>

	* man/mono.1: Document new --trace options

2003-10-13  Bernie Solomon  <bernard@ugsolutions.com>

	* configure.in: add hppa support (64bit only)
	make solaris build work with Forte compiler

2003-10-13  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Added check for pthread_attr_setstacksize.

	* mono/tests/ChangeLog: New file.
	
2003-10-13  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/Makefile.am: Link the tests with the test driver program
	used for the mini tests.

2003-10-10  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/libtest.c (mono_test_marshal_delegate): Added test for
	stdcall calling convention.

2003-10-09  Dick Porter  <dick@ximian.com>

	* acconfig.h:
	* configure.in: Check for ICU availability

2003-10-09  Bernie Solomon  <bernard@ugsolutions.com>

	* mono/tests/libtest.c: fix after merge of pinvoke2.cs

2003-10-07  Bernie Solomon  <bernard@ugsolutions.com>

	* mono/tests/Makefile.am mono/tests/libtest.c
	mono/tests/pinvoke18.cs: new test for bool marshalling.

2003-10-07  Bernie Solomon  <bernard@ugsolutions.com>

	* mono/scripts/Makefile.am mono/scripts/*.in: fix
	managed .exe paths so they are found under cygwin.

2003-10-07  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/pinvoke2.cs mono/tests/libtest.c: Fix array of structs
	test.

2003-10-06  Bernie Solomon  <bernard@ugsolutions.com>

	* mono/tests/pinvoke2.cs mono/tests/pinvoke11.cs 
	mono/tests/libtest.c: Add more pass by value struct
	tests for platforms with more complex calling conventions 
	(Sparc V9, HPPA 64 bit).

2003-10-06  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/pinvoke2.cs mono/tests/libtest.c: Add array of structs
	marshalling test.

2003-10-04  Bernie Solomon  <bernard@ugsolutions.com>

	* mono/tests/libtest.c: remove warnings except
	"no previous prototype"

2003-10-03  Bernie Solomon  <bernard@ugsolutions.com>

	* mono/tests/libtest.c: (test_lpwstr_marshal) remove undefined
	behaviour of increment, (mono_test_marshal_char) = should be ==

2003-09-30  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/remoting1.cs: Added test for interface casts on
	TransparentProxies.

2003-09-24  Bernie Solomon  <bernard@ugsolutions.com>

        * mono/tests/pinvoke*.cs, delegate4.cs, marshal10.cs, marshal4.cs
          marshal5.cs: remove .so from DllImport of libtest to aid portability.

2003-09-08  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Added check for valgrind headers.

2003-09-03  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile.am: Use $(MAKE) in even more places. Patch by Bernie Solomon
	(bernard@ugsolutions.com).
	
2003-08-27  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile.am: Use $(MAKE) instead of make. Patch by Bernie Solomon
	(bernard@ugsolutions.com).

2003-08-25  Zoltan Varga  <vargaz@freemail.hu>

	* mono.pc.in: Added gthread-2.0.

2003-08-22  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Added gthread-2.0 to GLIB_CFLAGS and GLIB_LIBS, so we
	can call g_thread_init ().

2003-08-21  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/threadpool.cs mono/tests/threadpool1.cs: Make increments 
	of static variables atomic. Fixes bug #47683.

2003-08-21  Johannes Roith  <johannes@jroith.de>

	* mono/Makefile.am: small update. make sure, glib makes it in the build, add optional target for dependencies

2003-08-18  Johannes Roith  <johannes@jroith.de>

	* mono/Makefile.am: add windows build option
	* mono/monowiz.win32.nsi: add windows build script
	* mono/mono-win32-light.bmp: add bitmap

2003-08-16  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/checked.cs: Added mul.ovf tests.

2003-08-15  Duncan Mak  <duncan@ximian.com>

	* doc/mysql: Change references to ByteFX.Data.MySQLClient to the
	correct ByteFX.Data.MySqlClient (note the change in
	capitalization). Thanks to Tom Wagner <Tom.Wagner@wacker.com> for
	spotting the error.

2003-08-15  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/bug-47295.cs: Regression test for bug #47295.

2003-08-11  Duncan Mak  <duncan@ximian.com>

	* runtime/Makefile.am (assemblies_DATA): Add Mono.Cairo.dll.

Sun Aug  3 21:12:13 BST 2003 Malte Hildingson <malte@amy.udd.htu.se>

	* configure.in: added FPU test for ARM.

Thu Jul 31 16:19:07 CEST 2003 Paolo Molaro <lupus@ximian.com>

	* configure.in, etc.: portability fixes and support for
	buidling outside the srcdir from Laurent Morichetti <l_m@pacbell.net>.

2003-07-22  Duncan Mak  <duncan@ximian.com>
       
        * runtime/Makefile.am: Remove sqlsharp as we no longer distribute it.

2003-07-22  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/Makefile.am: Add missing test. Make tests interruptable
	by Ctrl-C. Add testinterp target to run the tests with the interpreter.
	Do not try to build vararg.cs under mcs.

	* configure.in: Fix detection of GC_gcj_malloc.

2003-07-14  Jerome Laban <jlaban@wanadoo.fr>

	* acconfig.h:
	* configure.in: Check for gethostbyname2_r availability.
	* data/machine.config: Added section system.net/settings. Added
	option for IPv6 availability.	

2003-07-13  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/cattr-object.cs: Make it run under both mono and MS.NET.

	* mono/tests/struct.cs: Add test for unboxing trampolines.

	* mono/tests/bug-27420.cs: new regression test.

	* mono/tests/Makefile.am: skip vararg test since it does not compile 
	under mono. Add testinterp target. Add new tests.
	
2003-07-10  Martin Willemoes Hansen

	* doc/web/team.xml : Modified my tasks a bit.

2003-07-01  Paolo Molaro <lupus@ximian.com>

	* acconfig.h, configure.in: added bundle support.

2003-06-10  Dick Porter  <dick@ximian.com>

	* acconfig.h:
	* configure.in: Check for struct ip_mreq if struct ip_mreqn isn't
	available.

2003-06-10  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Define HAVE_GC_GCJ_MALLOC for included libgc.

2003-06-10  Martin Baulig  <martin@ximian.com>

	* configure.in: Fall back to boehm if we don't have a libgc
	subdirectory.

2003-06-10  Martin Baulig  <martin@ximian.com>

	* configure.in: Make the libgc stuff actually work; we now create
	a shared libmonogc.so when using the included libgc.

2003-06-09  Martin Baulig  <martin@ximian.com>

	* configure.in: Only check for gc if --with-gc=boehm.

2003-06-08  Martin Baulig  <martin@ximian.com>

	* configure.in: Tell libgc's configure about our threads library.

2003-06-08  Martin Baulig  <martin@ximian.com>

	* libgc/: Integrate the libgc module here.

	[Note: A simple `cvs update' won't work this time; you either need
	to re-checkout the `mono' module or manually move the `libgc'
	module here.]

	* configure.in (--with-gc): Added `included' option to use the
	included libgc.  This is now also the default.
	(LIBGC_CFLAGS, LIBGC_LIBS): Put the libgc stuff here and AC_SUBST it.
	(INCLUDED_LIBGC): New automake conditional.
	(USE_INCLUDED_LIBGC): #define this if appropriate.

	* autogen.sh: Run libgc/autogen.sh.

	* Makefile.am (SUBDIRS): Added libgc.

2003-06-05  Duncan Mak  <duncan@ximian.com>

	* mono.spec.in (Requires): Add libxml2 and libxslt dependency on
	the package.

2003-05-19  Dick Porter  <dick@ximian.com>

	* configure.in: Netbsd build fix by marc@informatik.uni-bremen.de.

2003-05-10  Martin Willemoes Hansen <mwh@sysrq.dk>

	* scripts/Makefile.am: Added monoresgen secutil sqlsharp
	  shell wrapper scripts.

2003-05-08  Zoltan Varga  <vargaz@freemail.hu>

	* mono/tests/Makefile.am: 
	- Compile with mcs.
	- Disable some warnings.
	- Added executables to clean target.
	- Make testjit the default target.
	- Print list of failed tests at the end of a test run.
	- Abort tests when Ctrl-C is pressed.

	* mono/tests/test-driver: Return with a special exit code when 
	SIGINT is detected.

	* mono/tests/checked.cs: Make it compile.
	
2003-05-02  Miguel de Icaza  <miguel@ximian.com>

	* runtime/Makefile.am ($(monobins_DATA)): Use explicit file names
	for the target exe binaries.

	Copy cilc.exe and secutil.exe from the right paths to the right
	location.

	Add missing assemblies.

2003-05-02  Alp Toker  <alp@atoker.com>

	* data/config.in: new dll mapping entry for libglade

2003-05-01  Duncan Mak  <duncan@ximian.com>

	* scripts/Makefile.am: 
	* runtime/Makefile.am: Install cilc and ilasm.

2003-04-29  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/Makefile.am (JITTEST_PROG): use mini/mono

2003-04-16  Charles Iliya Krempeaux  <charles@reptile.ca>

	* doc/web/team.xml : Added myself to it.

2003-04-10  Duncan Mak  <duncan@ximian.com>

	* doc/web/render-team-page.cs: Make the names of the element be
	lowercase instead. BenM says this makes it XHTML compliant; heck,
	I'm generating this from an XmlDocument already, why not make it
	XHTML compliant?

2003-04-10  Duncan Mak  <duncan@ximian.com>

	* doc/web/render-team-page.cs (Compare): Correctly fix
	ContributorComparer.
	(RenderHtml): Add some SetAttribute loving to make it render prettier.

	* doc/web/team.xml: Revert excessive indenting.

2003-04-07  Martin Baulig  <martin@ximian.com>

	* mono/mini/: Added this directory to the build; install `mini'
	and `libmini.la'.

2003-04-07  Duncan Mak  <duncan@ximian.com>

	* doc/web/render-team-page.cs: Fix ContributorComparer.

2003-04-04  Duncan Mak  <duncan@ximian.com>

	* doc/web/render-team-page.cs: Make it use 'none.png' if no image
	are specified in the XML.

	* doc/web/team.xml: Remove the comment.

	* doc/web/render-team-page.cs: Make it not output a full HTML file.

2003-04-04  Duncan Mak  <duncan@ximian.com>

	* doc/web/commands: 
	* doc/web/makefile: Add team page information.

	* doc/web/team.xml: 
	* doc/web/render-team-page.cs: Code for rendering a team page.

2003-04-02  Duncan Mak  <duncan@ximian.com>

	* doc/web/makefile: Add a new make target for generating a team
	page on go-mono.com.

2003-04-04  Zoltan Varga  <vargaz@freemail.hu>

	* configure.in: Added check for GC_gcj_malloc.

2003-04-04  Martin Willemoes Hansen <mwh@sysrq.dk>

	* man/sqlsharp.1: changed pass= to password= for the 
	  PostgreSql provider.

2003-03-31  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* data/machine.config: added SessionStateModule to httpModules section.

2003-02-13  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* data/machine.config: added default sessionState section and handler.

2003-02-17  Daniel Morgan <danmorg@sc.rr.com>

	* doc/provider-factory: add new web page 
	about Mono.Data's ProviderFactory

	* doc/web/commands
	* doc/web/makefile: add provider-factory web page to build
	
	* doc/ado-net
	* doc/ibmdb2
	* doc/postgresql
	* doc/sqlclient
	* doc/tdsclient
	* doc/sybase
	* doc/mysql
	* doc/firebird
	* doc/oracle
	* doc/oledb
	* doc/odbc
	* doc/sqlite: updated web pages

2003-02-16  Martin Baulig  <martin@ximian.com>

	* doc/jit-debug-sample
	* doc/jit-debug-sample2: Removed.

	* doc/jit-debug: Updated.

2003-02-13  Daniel Morgan <danmorg@sc.rr.com>

	* doc/screenshots
	* doc/ado-net
	* doc/oracle
	* doc/gtk-sharp: update web pages
	
2003-02-13  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* data/machine.config: added sample globalization section.

2003-02-12  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* data/machine.config: added UrlAuthorizationModule and
	AuthenticationConfigHandler.

2003-02-11  Tim Coleman <tim@timcoleman.com>
	* data/config.in: Add mapping for Oracle call interface
	(OCI) native libraries.

2003-02-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: added check for sys/un.h.

2003-01-29  Daniel Morgan <danmorg@sc.rr.com>

	* doc/postgresql
	* doc/mysql
	* doc/ado-net: updates to web pages
	
	* man/sqlsharp.1: update to man page

2003-01-28  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: added WIN32_THREADS flag when building under windows.
	It seems that the header files of the gc do not always define it when
	GC_WIN32_THREADS is defined.

2003-01-26  Daniel Morgan <danmorg@sc.rr.com>

	* doc/index
	* doc/ado-net
	* doc/firebird
	* doc/ibmdb2
	* doc/mysql
	* doc/odbc
	* doc/oledb
	* doc/oracle
	* doc/postgresql
	* doc/sqlclient
	* doc/sqlite
	* doc/sybase
	* doc/tdsclient: corrections

2003-01-26  Duncan Mak  <duncan@ximian.com>

	* doc/jit-debug: Update the links. Thanks for Andy Oliver for the report.

2003-01-22  Martin Baulig  <martin@ximian.com>

	* configure.in: Set version number to 0.19.1.

	Heads up: I'm going to commit some changes to the debugger
	which'll require you to use this new runtime, so if you update the
	debugger from CVS, you also need this new runtime.

2003-01-20  Duncan Mak  <duncan@ximian.com>

	* configure.in: Bump the release number to 0.19.
	  
2003-01-19  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ibmdb2: added file which is new web page
	about IBM DB2 data provider at Mono.Data.DB2Client
	
	* makefile
	* commands: added ibmdb2 web page to go-mono web site
	
	* doc/ado-net: added a couple more developers email, plus made the
	email spam resistant, added Mono's DB2 data provider to list,
	added more info about the ProviderFactory and retrieving data using
	ADO.NET from ASP.NET, add notes about testing, misc cleanup
	
	* doc/mysql
	* doc/postgresql
	* doc/sqlclient
	* doc/oracle
	* doc/tdsclient
	* doc/firebird
	* doc/oledb
	* doc/odbc
	* doc/sybase
	* doc/sqlite: added testing notes and C# examples
	
	* doc/gtk-sharp: added links for GTK# for Windows
	
	* man/sqlsharp.1: added providers Npgsql and MySQLNet

2003-01-17  Duncan Mak  <duncan@ximian.com>

	* runtime/Makefile.am: Add the new Mono.Data.DB2Client.dll.

2003-01-16  Martin Baulig  <martin@ximian.com>

	* configure.in (GTHREAD_LIBS, GTHREAD_CFLAGS): Removed the gthread
	check again, we're now using the mono/io-layer for this.

Wed Jan 15 16:20:54 CET 2003 Paolo Molaro <lupus@ximian.com>

	* configure.in: allow MacOSX (from various people).

2003-01-14  Martin Baulig  <martin@ximian.com>

	* configure.in (GTHREAD_LIBS, GTHREAD_CFLAGS): Added check for gthread.

2002-12-27  Jeroen Janssen <japj@darius.demon.nl>
	* fixed url for System.Windows.Forms in the class status
	
2002-12-18  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: moved struct tm field tm_gmtoff check before the check
	for timezone global variable. This makes Timezone work for me (debian
	sid, linux, x86, which has both the field and the global variables).

2002-12-10  Daniel Morgan <danmorg@sc.rr.com>

	* doc/oracle: added file which is
	a new web page oracle.html

	* doc/ado-net: clean up and add link
	to oracle.html
	
	* doc/web/commands
	* doc/web/makefile: added oracle.html

2002-12-10  Daniel Morgan <danmorg@sc.rr.com>

	* man/Makefile.am: changed sqlsharpcli.1 to sqlsharp.1
	
	* man/sqlsharpcli.1: renamed to sqlsharp.1

2002-12-09  Tim Haynes  <thaynes@openlinksw.co.uk>

	* mono/jit/jit.c
	* mono/metadata/icall.c: added mono_install_get_config_dir() to
	utilize the MONO_CFG_DIR environment variable for specifying
	different machine.configs.

2002-12-06  Duncan Mak  <duncan@ximian.com>

	* data/Makefile.am (EXTRA_DIST): Add machine.config
	(DISTCLEANFILES): Add config.

2002-11-30  Daniel Morgan <danmorg@sc.rr.com>

	* man/sqlsharpcli.1: added file - a man page 
	for SQL# CLI
	
	* man/Makefile.am: added sqlsharpcli.1 to man_MANS
	
2002-11-20  Daniel Morgan <danmorg@sc.rr.com>

	* doc/firebird: updated web page

2002-11-19  Mike Kestner <mkestner@speakeasy.net>

	* data/Config.in : added the gtk# dll mapping entries

2002-11-19  Daniel Morgan <danmorg@sc.rr.com>

	* doc/firebird: updated web page based on input
	from the firebird .net data provider author

Mon Nov 18 16:40:34 CET 2002 Paolo Molaro <lupus@ximian.com>

	* configure.in, mono/os/gc_wrapper.h: check that the gc headers have
	been installed.

2002-11-12  Daniel Morgan <danmorg@sc.rr.com>

	* doc/oledb
	* doc/odbc
	* doc/mysql
	* doc/sqlite
	* doc/sqlclient
	* doc/tdsclient
	* doc/sybase
	* doc/firebird: added web pages
	for each specific data provider
	
	* doc/ado-net
	* doc/postgresql: updated web page
	with current status
	
	* doc/web/commands
	* doc/web/makefile: updated to include
	new web pages

2002-11-06  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* autogen.sh: make it work when MONO_PATH is set and it has more than
	one directory or ends in ":". Also check that the directory added to
	ACLOCAL_FLAGS and PATH exist (aclocal fails if they don't).

2002-10-22  Miguel de Icaza  <miguel@ximian.com>

	* configure.in: Also allow the miss-spelled bohem.

2002-10-18  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net
	* doc/postgresql
	* doc/tds-providers: cleaned up the web pages
	
	* doc/web/commands: postgresql.html page was mistyped

2002-10-18  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net: updated status of
	the ADO.NET functionality and providers
	and added link to tds-providers.html

	* doc/tds-providers: added file to
	describe the design	and status of 
	the SqlClient, SybaseClient, and TdsClient
	ADO.NET providers.

	* doc/web/makefile
	* doc/web/command: added new web page 
	tds-providers.html to build of 	www.go-mono.com web site
	
2002-10-17  Daniel Morgan <danmorg@sc.rr.com>

	* doc/web/makefile
	* doc/web/commands:	web page 
	postgresql needed to be added

2002-10-13  Mark Crichton <crichton@gimp.org>

	* doc/index: Even more spelling errors fixed.

2002-10-13  Daniel Morgan <danmorg@sc.rr.com>

	* doc/adonet: updated status of all providers, added links, 
	  and added information
	  about the Mono.Data.SqliteClient provider that 
	  Vladimir Vukicevic contributed. Added Brian Ritchie's 
	  and Vladimir Vukicevic's email addresses as
	  people to contact about ADO.NET in Mono.  
	  Added information about SQL#, configuration tools, 
	  and an ADO.NET Multiplexor, etc...  

2002-10-10  Daniel Morgan <danmorg@sc.rr.com>

	* doc/index: corrected some mistypes
	
	* doc/adonet: updated the status and plans of all the ADO.NET providers
	  and moved PostgreSQL specific stuff to doc/postgresql

	* doc/postgresql: added new file to detail
	  the status of the PostgreSQL ADO.NET provider
	  and provide test notes for setting it up

2002-10-09  Daniel Morgan <danmorg@sc.rr.com>

	* data/config.in: add entry for MySQL native shared libraries
	  which are different on Windows and Linux

2002-10-04  Diego Sevilla Ruiz  <dsevilla@um.es>

	* doc/ccvs: Fixed some ugly formatting.

2002-10-03  Dick Porter  <dick@ximian.com>

	* acconfig.h:
	* configure.in:  Freebsd pthread_t is a pointer

2002-10-01  Duncan Mak  <duncan@ximian.com>

	* mono/os/Makefile.am: Add gc_wrapper.h.

	* runtime/Makefile.am: Fix the path for monoresgen.exe.

2002-09-27  Dick Porter  <dick@ximian.com>

	* configure.in: Check for semaphore.h.  Patch for BSD from
	jmmv@hispabsd.org (Julio Merino).

2002-09-20  Duncan Mak  <duncan@ximian.com>

	* data/config.in: Added reference to libxslt.

2002-09-20  Mark Crichton  <crichton@gimp.org>

	* configure.in: added NEED_LINK_UNLINK to make io-layer more portable.
	Linux has a "virtual fs" for UNIX sockets, Solaris and BSD don't.
	For systems that do not have such a virtual FS, define
	NEED_LINK_UNLINK.

	* acconfig.h: added NEED_LINK_UNLINK
	
Wed Sep 4 18:09:58 CEST 2002 Paolo Molaro <lupus@ximian.com>

	* configure.in: add some needed defines to fix support of
	threads in the GC.

2002-09-19  Mark Crichton  <crichton@gimp.org>

	* configure.in: Added checks for Solaris to use X/Open functionality.
	Really needed for the io-layer code.

2002-09-15  Andrew Birkett  <andy@nobugs.org>

	* man/mcs.1: --probe is now --expect-error.

2002-09-09  Dick Porter  <dick@ximian.com>

	* acconfig.h: 
	* configure.in: Simplify thread checks, by using canned rules for
	particular systems (based on the sleepycat db configure.in).
	Tested on linux/x86, freebsd and w32.  Solaris also added, but I
	don't have a solaris machine to try it on.

2002-09-04  Juli Mallett  <jmallett@FreeBSD.org>

	* configure.in: Include <sys/types.h> when checking <sys/un.h> stuff.

2002-09-02  Diego Sevilla Ruiz  <dsevilla@um.es>

	* doc/ccvs: Added how to convert SSH keys (from SSH Communications
	Security) to the OpenSSH keys required by mono CVS
	access.

2002-09-01  Juli Mallett  <jmallett@FreeBSD.org>

	* configure.in, mono/interpreter/interp.c,
	mono/io-layer/handles.c, mono/io-layer/processes.c,
	mono/io-layer/threads.c, mono/io-layer/timed-thread.c,
	mono/io-layer/wait.c, mono/jit/helpers.c, mono/jit/jit.c,
	mono/metadata/appdomain.c, mono/metadata/class.c,
	mono/metadata/domain.c, mono/metadata/gc.c,
	mono/metadata/object.c, mono/metadata/reflection.c,
	mono/metadata/threads.c, mono/os/gc_wrapper.h,
	mono/utils/mono-hash.c: Add a new header, gc_wrapper.h, to
	wrap inclusion of gc.h for boehm, since from FreeBSD and
	OpenBSD ports, gc.h is <gc.h>, but on GNU it seems to be
	in <gc/gc.h>.  This will reduce the diffs FreeBSD ports has
	to apply, and also makes it possible for me to build with
	GC on OpenBSD/macppc built by hand.

2002-09-01  Juli Mallett  <jmallett@FreeBSD.org>

	* configure.in: On BSD don't try to use -ldl, we simply don't use it.

2002-09-01  Juli Mallett  <jmallett@FreeBSD.org>

	* mono/dis/dis-cil.c:
	* configure.in: Check for <wchar.h> via autoconf, don't use it if
	it isn't there, as it seems to work fine without it on OpenBSD.

2002-08-28  Dick Porter  <dick@ximian.com>

	* mono/os/win32/util.c: 
	* mono/os/unix/util.c: 
	* mono/os/util.h: mono_set_rootdir() doesnt take any args now.
	(It doesn't do anything on unix builds, and the w32 version no
	longer needs an arg.)

	* configure.in: Add HOST_CC for w32 builds

Tue Aug 27 18:17:43 CEST 2002 Paolo Molaro <lupus@ximian.com>

	* configure.in: remove iconv checks.

2002-08-24  Juli Mallett  <jmallett@FreeBSD.org>

	* configure.in: Recognise OpenBSD/macppc as PowerPC.

Tue Aug 20 15:15:52 CEST 2002 Paolo Molaro <lupus@ximian.com>

	* configure.in: patch by noa@metamatrix.se (Daniel Resare)
	to error out if bison is missing.

2002-08-17  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: don't link against libdl on windoze.

2002-08-12  Dick Porter  <dick@ximian.com>

	* mono.pc.in: Add $includedir to Cflags

Fri Jul 19 18:38:38 CEST 2002 Paolo Molaro <lupus@ximian.com>

	* configure.in, Makefile.am, mono.pc.in: add a mono.pc file for use
	with pkg-config.
	* */Makefile.am: makefile overhaul to create a shared libmono library.
	* */*.h: do not include config.h in headers that should be installed.

2002-07-12  Dick Porter  <dick@ximian.com>

	* acconfig.h:
	* configure.in: Check the size of sockaddr_un.sun_path

2002-06-23  Miguel de Icaza  <miguel@ximian.com>

	* man/Makefile.am (man_MANS): Added new man page

	* man/mono-config.5: New manual page describing the mono-config
	file format. 

2002-06-10  Jaroslaw Kowalski <jarek@atm.com.pl>

	* configure.in: added checks for MSG_NOSIGNAL

2002-05-30  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net: update the ado-net web page on go-mono.com
	input parameters support, beginnings of Mono.Data.MySQL 
	and System.Data.OleDb, updated the sample source code,
	and output from a PostgresTest

2002-05-21  Martin Baulig  <martin@gnome.org>

	* mono.1: Documented the "--debug-args" debugging arguments.

2002-05-21  Martin Baulig  <martin@gnome.org>

	* mono.1: Updated to reflect my latest changes and beautified this a bit.
	(FIXME: There are still command line argument which aren't documented here.)

2002-05-19  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net: updated page to include C# code snippets using
	System.Data.  Update status: handle reading NULL values, DataSet/DataAdapter
	works, executing/reading multiple results, and stored procedures.
	And other tweaks about the providers.  

2002-05-19  Martin Baulig  <martin@gnome.org>

	* mono/Makefile.am (SUBDIRS): Added `os', it's referenced by
	interpreter/Makefile.am.

Wed May 15 12:22:09 CEST 2002 Paolo Molaro <lupus@ximian.com>

	* configure.in: search for pthread functions also in libc_r (patch
	from Garrett Rooney <rooneg@electricjellyfish.net>).

2002-05-11  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net: added instructions for installing PostgreSQL on Linux
	and for using nant to re-compile just the System.Data.dll assembly
	on Windows.

2002-05-10  Rodrigo Moya <rodrigo@ximian.com>

	* doc/ado-net: added instructions for compiling System.Data.dll
	(a subset of) on Linux.

2002-05-10  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net: added links

2002-05-09  Dick Porter  <dick@ximian.com>

	* configure.in: Set CPPFLAGS not CFLAGS (bug 23767)

2002-05-05  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net: correct formatting
	* doc/index: added credit i forgot to add

2002-05-05  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net: i did not format it correctly earlier, i 
	tried added various tags where appropriate.
	
	* doc/index: added news item for May 5, 2002 - ado.net able
	to retrieve data now

2002-05-05  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net: updated the current status which
	I kept forgetting to do.

2002-05-05  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net: updated to includes an example for
	running ipc-daemon as a	Windows service.  Thanks
	to gonzalo.

2002-05-05  Daniel Morgan <danmorg@sc.rr.com>

	* doc/ado-net: updated to include installation of
	PostgreSQL DBMS under cygwin.  It is a TODO for Linux though.
	Also included notes on running the System.Data/Test/PostgresTest.cs
	that should work on a lot of Mono installations that have
	PostgreSQL installed.  If not please let me, rodrigo, or gonzalo
	know.

2002-05-01  Rodrigo Moya <rodrigo@ximian.com>

	* doc/ado-net: updated a little bit.

2002-04-30  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in: Added checks for timezone stuff.

2002-04-30  Dick Porter  <dick@ximian.com>

	* acconfig.h:
	* configure.in: Added option to disable using shared memory for
	handles

2002-04-28  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: fix for conditional "THREADS_PTHREAD" was never 
	defined problem under cygwin with latest version of automake and
	autoconf. Patch from Jeroen Janssen <japj@darius.demon.nl>.

2002-04-23  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* configure.in: removed -Wshadow from CFLAGS.

2002-04-12  Rodrigo Moya <rodrigo@ximian.com>

	* status/maintainers.xml: added danmorg and myself for System.Data.*
	classes.

	* status/class.xml: added System.Data.* classes.

2002-04-08  Dick Porter  <dick@ximian.com>

	* configure.in: Set -mno-cygwin here rather than in the build script

2002-04-05  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/remoting2.cs: new test for async invoke of proxy calls

2002-03-29  Martin Baulig  <martin@gnome.org>

	* doc/jit-debug, docs/jit-debug-sample, docs/jit-debug-sample2:
	New files, added documentation for the debugging code.

	* doc/web/commands: Added the debugging pages.

	* docs/jit-debug: Removed, this is now on the web site.

2002-03-24  Martin Baulig  <martin@gnome.org>

	* man/mcs.1: Documented the new --debug option and added a section
	about debugging support.

	* man/mono.1: Documented the new --dwarf and --dwarf-plus options.

2002-03-21  Martin Baulig  <martin@gnome.org>

	* configure.in: Added check for <elf.h>.

2002-03-18  Dick Porter  <dick@ximian.com>

	* configure.in: Only look for libgc on the system.  Default to not
	using GC at all, because it doesn't work with the jit.

2002-03-17  Miguel de Icaza  <miguel@ximian.com>

	* configure.in: Add support for building the included boehm GC.

Thu Mar 7 17:19:44 CET 2002 Paolo Molaro <lupus@ximian.com>

	* configure.in: detect Boehm GC libs and add --with-gc switch.
	Boehm GC needs to be explicitly enabled since the JIT currently fails
	in some cases with it.

2002-02-27  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/fib.cs: it is now possible to pass a repeat count as
	command line argument, for example fib.exe 20 runs the test 20
	times. 

2002-02-25  Sergey Chaban  <serge@wildwestsoftware.com>
	* configure.in: added support for ARM target arch.
	Uncommented and modified arm-*-linux* target,
	added mono/arch/arm/Makefile to AC_OUTPUT list.

2002-02-21  Mark Crichton  <crichton@gimp.org>

	* status/class.xml: Added contact info for RNGCryptoServiceProvider
	class and Rijndael classes.
	* status/maintainers.xml: Added contact info to maintainers list.

2002-02-21  Mark Crichton  <crichton@gimp.org>
 
        * configure.in: Add checks for a system-provided entropy device
        * acconfig.h: Added HAVE_CRYPT_RNG and NAME_DEV_RANDOM

2002-02-20  Dick Porter  <dick@ximian.com>

	* acconfig.h:
	* configure.in: Always build without cygwin support on windows

2002-02-19  Radek Doulik  <rodo@ximian.com>

	* mono/tests/pinvoke.cs: use more pinvoke test methods

2002-02-19  Radek Doulik  <rodo@ximian.com>

	* mono/tests/libtest.c (mono_test_many_short_arguments): new test
	method
	(mono_test_many_byte_arguments): ditto

2002-02-18  Radek Doulik  <rodo@ximian.com>

	* mono/tests/Makefile.am: added small test library for pinvoke
	testing

	* mono/tests/libtest.c (mono_test_many_int_arguments): new file,
	new function to test pinvoke

	* mono/tests/pinvoke.cs (Test): added pinvoked method with 10 int
	arguments

	* mono/tests/Makefile.am: display # of passing tests too
	added simple shared library libtest with testing function for
	pinvoke

2002-02-17  Radek Doulik  <rodo@ximian.com>

	* mono/tests/Makefile.am (test): display # of failed tests

2002-02-16  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in: Add checks for SOL_IP, SOL_TCP, and
	IP_PKTINFO. Also check for struct ip_mreqn.

2002-02-14  Jeffrey Stedfast  <fejj@ximian.com>

	* configure.in: Add checks to see if we need to link to libsocket,
	libnsl, and/or librt. Also check for inet_pton and inet_aton.

2002-02-13  Jeffrey Stedfast  <fejj@ximian.com>

	* acconfig.h: #undef USE_MONO_MUTEX

	* configure.in: If the system pthread implementation is lacking,
	default to using mono-mutex.

2002-02-05  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/enum2.cs: new file with more enum tests.

2002-02-01  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/jit-long.cs: added some SHL/SHR tests

Fri Feb 1 15:32:36 CET 2002 Paolo Molaro <lupus@ximian.com>

	* configure.in: allow PKG_CONFIG_PATH for the build-platform
	pkg-config invocation.

Fri Feb 1 15:13:25 CET 2002 Paolo Molaro <lupus@ximian.com>

	* configure.in: add some support/fixes for cross-compilation.

2002-01-14  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/exception6.cs: new tests for ADD_OVF, MUL_OVF
	added tests for SUB_OVF, SUB_OVF_UN

2001-12-21  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/Makefile.am (TESTSRC): disabled stream-writer test

2001-12-21  Aaron Weber  <aaron@ximian.com>

	* doc/faq (A): added a linebreak that was missing and was causing
	a heading to appear badly.

2001-12-20  Aaron Weber  <aaron@ximian.com>

	* doc/faq: added <a name=""> nav links, and moved all MSFT-related
	questions into a single section.

2001-12-17  Aaron Weber  <aaron@ximian.com>

	* doc/faq (Q): Question-by-question, line-by-line revision.

2001-12-17  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/time.cs: new test

2001-11-30  Radek Doulik  <rodo@ximian.com>

	* configure.in: remove ACCESS_UNALIGNED="no" from ppc

2001-11-29  Radek Doulik  <rodo@ximian.com>

	* configure.in (ACCESS_UNALIGNED): uncommented and modified
	powerpc-*-linux* 
	generate mono/arch/ppc/Makefile

2001-11-26  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/exception3.cs: modified the test to show a bug in the
	current exception handling implementation.

2001-11-13  Dick Porter  <dick@ximian.com>

	* configure.in: Some more tests for pthread features
	(specifically, glibc 2.1 doesnt define pthread_mutex_timedlock but
	still needs _GNU_SOURCE for PTHREAD_MUTEX_RECURSIVE)

2001-11-09  Dick Porter  <dick@ximian.com>

	* configure.in: Try and get large file support, but it's not fatal
	if it's not there (the io-layer just ignores the high word in that
	case.)

	Check for windows builds, and only bother to look for pthreads and
	large files if we're not building for cygwin or native win32.  Not
	having pthread support on Posix systems is now a fatal error.

	* autogen.sh: Fix ACLOCAL_FLAGS - it wasn't being passed to
	aclocal

2001-10-15  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/Makefile.am: removed JITTESTS, simply run all tests for
	target testjit. 

2001-10-11  Dietmar Maurer  <dietmar@ximian.com>

	* docs/object-layout: more documentation

Mon Oct 8 20:27:50 CEST 2001 Paolo Molaro <lupus@ximian.com>

	* configure.in: define NO_UNALIGNED_ACCESS for platforms that
	can't read on unaligned boundaries

2001-10-04  Dick Porter  <dick@ximian.com>

	* configure.in: Do some deeper checks on pthreads for some of the
	more interesting functions

2001-09-24  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/Makefile.am (testjit): a new target to test the JITer

	* mono/tests/jit-*: added some test for the JITer

2001-09-23  Dick Porter  <dick@ximian.com>

	* configure.in: Arrange to compile dummy thread support routines
	if pthread isnt available
	
2001-09-23  Dick Porter  <dick@ximian.com>

	* configure.in: Check for pthread.h, so that we can check for the
	HAVE_PTHREAD_H define in config.h

2001-09-21  Dick Porter  <dick@ximian.com>

	* configure.in: Check for libpthread

2001-09-19  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/test-ops.cs: added more tests

Mon Sep 10 20:19:00 CEST 2001 Paolo Molaro <lupus@ximian.com>

	* configure.in: check for sizeof(void*) and for the architecture.

2001-09-05  Dick Porter  <dick@ximian.com>

	* autogen.sh: Fixed the section that adds $ACLOCAL_FLAGS to the
	aclocal invocation, so putting aclocal files in /usr/local works

2001-08-30  Dietmar Maurer  <dietmar@ximian.com>

	* *: removed the libffi dependency, mono now compiles on cygwin 

	* mono/wrapper/build-dll: new file.

2001-08-28  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/console.cs: impl.

	* mono/tests/box.cs: impl.

	* mono/tests/stream-writer.cs: impl.

Mon Aug 27 20:24:26 CEST 2001 Paolo Molaro <lupus@ximian.com>

	* mono/tests/*: New test cases, mostly for virtual method dispatch.
	Use make testb for the slow benchmarking programs,
	make test for the usual regression test checks.

2001-08-22  Rodrigo Moya <rodrigo@ximian.com>

	* mono/cil/Makefile.am:
	* mono/wrapper/Makefile.am: use correct variables for installation
	directories

Tue Aug 21 18:54:06 CEST 2001 Paolo Molaro <lupus@ximian.com>

	* mono/tests/exceptions*: enhanced and added more tests for
	exceptions.

2001-08-20  Miguel de Icaza  <miguel@ximian.com>

	* mono/Makefile.am (SUBDIRS): Remove `test' from here to allow us
	to pass make distcheck

	* mono/wrapper/Makefile.am (EXTRA_DIST): Include genwrapper.pl

	* configure.in, Makefile.am, runtime/Makefile.am (dist-hook,
	install-data-hook): Added mechanism to distribute and install the
	dll files.

2001-08-20  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/stream.cs: new tests for the Stream class

	* configure.in: I really need LIBTOOL for libmonowrapper.so, so I
	added it again.

2001-08-16  Alex Graveley  <alex@ximian.com>

	* configure.in: Replace AM_PROG_LIBTOOL with AC_PROG_RANLIB. This
	removes libtool dependency on all of Mono.

2001-08-10  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/array.cs: more array tests

2001-08-09  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/array.cs: more array tests

2001-08-06  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/pinvoke.cs: we can now print strings ;-)

	* mono/tests/array.cs: new test for arrays

2001-08-02  Alex Graveley  <alex@ximian.com>

        * libffi/*: Import libffi CVS version, with minor changes to make it 
          compile.

        * mono/interpreter/Makefile.am: Link against 
          ../../libffi/.libs/libffi.a.

        * Makefile.am: Add libffi

        * autogen.sh: Replace with adapted gnome autogen.sh

        * configure.in: Add AC_CONFIG_SUBDIRS(libffi).

2001-08-02  Dietmar Maurer  <dietmar@ximian.com>

	* mono/tests/pinvoke.cs: impl.

Wed Aug 1 22:34:52 CEST 2001 Paolo Molaro <lupus@ximian.com>

	* configure.in, mono/tests: added some tests for the interpreter.

2001-07-15  Sean MacIsaac  <macisaac@ximian.com>

	* doc/download: added instructions for cygwin
	
	* doc/c-sharp: removed bit about compiling
	
	* status/compare-assembly.cs: basedir should be there if
	parameters are provided.

	* status/makefile: made targets to dump info.
	
2001-07-15  Joe Shaw  <joe@ximian.com>

	* configure.in: Don't create doc/Makefile as there's nothing there
	to make.

	* Makefile.am: Don't build the doc directory because there's no
	Makefile.am there.

	* autogen.sh: Call aclocal with the $ACLOCAL_FLAGS env var.

2001-07-15  Miguel de Icaza  <miguel@ximian.com>

	* doc/class-library (A): Updated FAQ with question on error 1595.

2001-07-14  Miguel de Icaza  <miguel@ximian.com>

	* doc/index: 

Wed Jul 11 00:36:36 CEST 2001 Paolo Molaro <lupus@ximian.com>

	* status/*: scripts and data to create statistics about the
	class library status.

2001-07-09  Alex Graveley  <alex@ximian.com>

	* doc/makefile (clean): Add clean target.
	* doc/web/makefile (clean): Ditto.

2001-07-09  Alex Graveley  <alex@ximian.com>

	* doc/makefile (all-docs): Fix typo.

2001-05-30  Miguel de Icaza  <miguel@ximian.com>

	* NEWS: 
